; Отрефакторенный вариант

; Processor:        K1801VM1
; Target assembler: BK Turbo8 Cross Assembler

; ═══════════════════════════════════════════════════════════════════════════
BUFKL   = 104   ; Буфер клавиатуры
PRZKB   = 105   ; Признак записи кода в буфер
AS      = 160   ; Абсолютный адрес курсора в ОЗУ экрана
FON     = 212   ; Код цвета фона на экране
MASCW   = 214   ; Код цвета символа на экране

BPDMAG  =   320 ; Блок параметров DMAG
NAMELEN =   16. ; длина имени файла
KOM$    =   0   ; смещение от начала блока параметров до команды
OTWET$  =   1   ; смещение от начала блока параметров до ответа
ADRMAS$ =   2   ; смещение от начала блока параметров до адреса массива
DLMAS$  =   4   ; смещение от начала блока параметров до длины массива на запись
IMMAS$  =   6   ; смещение от начала блока параметров до имени массива
ADRTM$  =   26  ; смещение от начала блока параметров до адреса текущего массива
DLTMAS$ =   30  ; смещение от начала блока параметров до длины текущего массива
IMTMAS$ =   32  ; смещение от начала блока параметров до имени текущего массива
KOM     =   BPDMAG+KOM$     ; Команда
OTWET   =   BPDMAG+OTWET$   ; Ответ
ADRMAS  =   BPDMAG+ADRMAS$  ; Адрес массива
DLMAS   =   BPDMAG+DLMAS$   ; Длина массива на запись
IMMAS   =   BPDMAG+IMMAS$   ; Имя массива
ADRTM   =   BPDMAG+ADRTM$   ; Адрес текущего массива
DLTMAS  =   BPDMAG+DLTMAS$  ; Длина текущего массива
IMTMAS  =   BPDMAG+IMTMAS$  ; Имя текущего массива


BufferStatus = 0 ; состояние буфера текста
SndMask = 14    ; маска битов звука
FirstCode = 16  ; флаг первого символа при автоповторе
SelectedMenu = 64 ; выбранный пункт меню
BgColor1 = 226  ; цвет фона 1
BgColor2 = 230  ; цвет фона 2
ChrColor = 232  ; цвет символа
SpkSpeed = 234  ; скорость воспроизведения речи
GerbFlag = 256  ; флаг герба на экране

Start:          mov     #Start, SP
                call    ClrScr
                emt     14              ; инициализация экрана и установка всех векторов прерывания
                mov     #Start, @#4
                mov     #KbdV060, @#60
                mov     #KbdV274, @#274
                mov     #IotTrp, @#20   ; По команде IOT делается приём символа с клавиатуры
                bic     #1000, @#177664
                mov     #BK10Init, R1
                clr     R2
                emt     20              ; вывод строки
; рисуем заставку
                mov     #SplashColors, R5
                mov     #8., R4
                mov     #50000, R0
1$:             call    Get2Colors      ; Получение двух значений цвета
                mov     R0, -(SP)

                mov     #140, R3
2$:             mov     R1, (R0)+
                mov     R1, (R0)+
                mov     R1, (R0)+
                mov     R1, (R0)+
                add     #70, R0
                mov     R2, (R0)+
                mov     R2, (R0)+
                mov     R2, (R0)+
                mov     R2, (R0)+
                add     #70, R0
                sob     R3, 2$

                mov     (SP)+, R0
                add     #10, R0
                sob     R4, 1$

                mov     #50000, R1
                mov     #40000, R2
                mov     #2000, R0
3$:             mov     (R1)+, (R2)+
                mov     (R1)+, (R2)+
                sob     R0, 3$
                bis     #1000, @#177664
                jsr     R5, FillRect    ; За командой параметры:
                                        ; .word addr
                                        ; .byte width in word
                                        ; .byte hight in 2 line
                                        ; .byte color1, color2
                .word 50016
                .byte 20,40
                .byte 5,5
                jsr     R5, FillRect    ; За командой параметры:
                                        ; .word addr
                                        ; .byte width in word
                                        ; .byte hight in 2 line
                                        ; .byte color1, color2
                .word 52056
                .byte 2,40
                .byte 0,0
                jsr     R5, FillRect    ; За командой параметры:
                                        ; .word addr
                                        ; .byte width in word
                                        ; .byte hight in 2 line
                                        ; .byte color1, color2
                .word 60022
                .byte 20,10
                .byte 0,0

                mov     #SplashTxt, R1
                clr     R2
                call    StrOut          ; Вход: R1 - адрес строки
                                        ;       R2 - мл.байт - количество символов
                                        ;            ст.байт - символ ограничитель
; скроллим
                mov     #5000, R5
4$:             dec     @#177664
                ;bit     #1000, @#177664
                ;bne     5$
                bis     #1000, @#177664
5$:             mov     #320, @#177716
                mov     #50., R0
                sob     R0, .
                mov     #220, @#177716
                sob     R5, 4$

                mov     #6, R5
6$:             clr     R0
                call    RollDn
                call    RollUp
                mov     R5, R0
                call    RollUp
                clr     R0
                call    RollDn
                sub     #2, R5
                bgt     6$

                mov     #1330, @#177664
                iot                     ; ждём нажатия клавиши
                jmp     Next            ; идём выполнять основную программу

; ███████████████ S U B R O U T I N E ███████████████████████████████████████

; За командой параметры:
; .word addr
; .byte width in word
; .byte hight in 2 line
; .byte color1, color2

FillRect:       mov     R0, -(SP)
                mov     R1, -(SP)
                mov     R2, -(SP)
                mov     R3, -(SP)
                mov     R4, -(SP)
                mov     (R5)+, R0       ; получим адрес экрана
                movb    (R5)+, R3       ; получим ширину в словах
                movb    (R5)+, R4       ; получим высоту в двустрочиях
                call    Get2Colors      ; Получение двух значений цвета
1$:             mov     R3, -(SP)
2$:             mov     R1, (R0)+
                mov     R2, 76(R0)
                sob     R3, 2$
                add     #200, R0
                mov     (SP)+, R3
                sub     R3, R0
                sub     R3, R0
                sob     R4, 1$
                mov     (SP)+, R4
                mov     (SP)+, R3
                mov     (SP)+, R2
                mov     (SP)+, R1
                mov     (SP)+, R0
                rts     R5
; End of function FillRect


; ███████████████ S U B R O U T I N E ███████████████████████████████████████

; Получение двух значений цвета

Get2Colors:     call    GetColMask      ; Размножение 4 bit -> 16 bit
                                        ; Вход: R5 - адрес значения
                                        ; Выход: R2 - число
                mov     R2, R1
; End of function Get2Colors

; ███████████████ S U B R O U T I N E ███████████████████████████████████████

; Размножение 4 bit -> 16 bit
; Вход: R5 - адрес значения
; Выход: R2 - число

GetColMask:     mov     R0, -(SP)
                clr     R0
                bisb    (R5)+, R0       ; берём байт x
                mov     R0, R2
                asl     R0
                asl     R0
                asl     R0
                asl     R0
                bis     R2, R0          ; 4 бита в 8
                mov     R0, R2
                swab    R2
                bisb    R0, R2          ; 8 бит в 16
                mov     (SP)+, R0
                return
; End of function GetColMask


; ███████████████ S U B R O U T I N E ███████████████████████████████████████


RollDn:         mov     R5, -(SP)
                add     #2, R5
1$:             add     R0, @#177664
                inc     R0
                mov     #5000., R1
                sob     R1, .
                cmp     R5, R0
                bne     1$
                mov     (SP)+, R5
                return
; End of function RollDn


; ███████████████ S U B R O U T I N E ███████████████████████████████████████


RollUp:         sub     R0, @#177664
                dec     R0
                mov     #5000., R1
                sob     R1, .
                tst     R0
                bne     RollUp
                return
; End of function RollUp

; ───────────────────────────────────────────────────────────────────────────

KbdV060:        mov     R0, -(SP)
                mov     @#177662, R0    ; сканкод
                bis     #177400, R0     ; признак наличия нового кода в буфере
                br      1$
; ───────────────────────────────────────────────────────────────────────────

KbdV274:        mov     R0, -(SP)
                mov     @#177662, R0    ; сканкод
                bis     #177600, R0     ; устанавливаем бит 7 с расширением знака до слова
                cmpb    R0, #204        ; нажали БЛОКРЕД?
                beq     3$              ; да

1$:             mov     R0, @#BUFKL     ; нет - помещаем сканкод в буфер и признак наличия нового кода
                bitb    #100, @#SndMask ; звук на спикер выводится?
                beq     2$              ; нет
                mov     #113407, R0     ; а если да, то выведем код 7 (звонок)
                emt     16

2$:             mov     #100, @#177660  ; запрещаем прерывания от клавиатуры
                mov     #10000., R0     ; пауза
                sob     R0, .
                tst     @#177662        ; сбрасываем бит готовности в 177660, на всякий случай
                clr     @#177660        ; разрешаем прерывания от клавиатуры
                br      4$

3$:             swab    @#SndMask       ; переключаем вкл/выкл вывода звука на спикер
                clr     @#BUFKL         ; говорим, что никто ничего не нажимал
4$:             mov     (SP)+, R0
                rti                     ; выходим из прерывания с подлянкой для отладчика
; ───────────────────────────────────────────────────────────────────────────

IotTrp:         tstb    @#PRZKB         ; новый код в буфере появился?
                beq     1$              ; нету пока
                clrb    @#PRZKB         ; если есть, то очищаем признак нового кода в буфере
                clrb    @#FirstCode     ; флаг первого символа
                br      6$              ; и ничего больше не делаем

1$:             bit     #100, @#177716  ; клавиша нажата?
                bne     2$              ; нет
                tst     @#BUFKL         ; да, а новый код в буфере появился?
                bmi     IotTrp          ; да - пойдём обработаем
                bne     3$              ; если что-то есть, переход

2$:             clrb    @#FirstCode     ; в буфере вообще пусто
                br      IotTrp          ; пойдём, начнём всё сначала

3$:             tstb    @#FirstCode     ; это первый код?
                bne     4$              ; нет
                mov     #20000., R0     ; да - тогда задержка побольше
                br      5$

4$:             mov     #2000., R0      ; задержка для автоповтора
5$:             bit     #100, @#177716  ; клавиша нажата?
                bne     2$              ; нет, конец автоповтора
                sob     R0, 5$          ; пауза
                movb    #377, @#FirstCode   ; отметим, что это уже не первый раз
                movb    @#SndMask, @#177716 ; выдать звук
                mov     #100., R0
                sob     R0, .
                movb    #220, @#177716

6$:             clr     R0
                bisb    @#BUFKL, R0     ; получим сканкод
                bit     #100, R0        ; символ буквенный?
                beq     7$              ; нет
                bis     #240, R0        ; да - тогда это будут русские буквы
7$:             rti
; ───────────────────────────────────────────────────────────────────────────

; ███████████████ S U B R O U T I N E ███████████████████████████████████████

; Вход: R1 - адрес строки
;       R2 - мл.байт - количество символов
;            ст.байт - символ ограничитель

StrOut:         mov     R0, -(SP)
                mov     R2, -(SP)
                mov     R3, -(SP)
                clr     R3
                bisb    R2, R3          ; счётчик выводимых символов
                swab    R2              ; символ ограничитель

1$:             movb    (R1)+, R0
                cmpb    #13, R0         ; признак приёма координат
                bne     2$
                mov     R1, R0
                mov     R2, -(SP)
                movb    (R0)+, R1       ; x
                movb    (R0)+, R2       ; y
                emt     24              ; установка координат курсора
                mov     (SP)+, R2
                mov     R0, R1
                br      3$

2$:             call    ChrOut

                cmpb    R0, R2          ; приняли символ ограничитель?
                beq     4$              ; да - конец вывода
3$:             sob     R3, 1$          ; продолжим вывод пока счётчик позволяет

4$:             mov     (SP)+, R3
                mov     (SP)+, R2
                mov     (SP)+, R0
                return
; End of function StrOut


; ███████████████ S U B R O U T I N E ███████████████████████████████████████


ChrOut:         mov     R0, -(SP)
                mov     R1, -(SP)
                mov     R2, -(SP)
                mov     R3, -(SP)
                mov     R4, -(SP)
                mov     R5, -(SP)
                cmpb    #6, R0          ; код 6 - приём цветов
                bne     1$
                mov     R1, R5
                call    PickColors
                mov     R5, 10(SP)
                br      10$

1$:             bic     #177400, R0
                bitb    #140, R0        ; символ печатный?
                beq     11$             ; нет - выводим его стандартными средствами монитора
2$:             mov     #Transcode, R1
3$:             cmpb    (R1)+, R0
                beq     4$
                tstb    (R1)+
                bne     3$
                br      5$

4$:             movb    (R1), R0

5$:             bicb    #200, R0
                cmpb    R0, #100
                blo     6$
                bicb    #40, R0
6$:             sub     #40, R0
                mov     R0, R1
                asl     R1
                asl     R1
                add     R0, R1
                asl     R1
                add     #Font, R1

                mov     @#AS, R2        ; адрес экрана
                mov     #5, R3
                mov     @#ChrColor, R5
7$:             movb    (R1)+, R0
                mov     #100000, R4
8$:             ror     R0
                ror     R4
                asr     R4
                bcc     8$
                mov     @#BgColor1, R0
                bic     R4, R0
                bic     R5, R4
                bis     R4, R0
                mov     R0, (R2)

                movb    (R1)+, R0
                mov     #100000, R4
9$:             ror     R0
                ror     R4
                asr     R4
                bcc     9$
                mov     @#BgColor2, R0
                bic     R4, R0
                bic     R5, R4
                bis     R4, R0
                mov     R0, 100(R2)
                add     #200, R2
                sob     R3, 7$

                mov     #31, R0     ; двигаем курсор на 1 позицию вправо
11$:            emt     16

10$:            mov     (SP)+, R5
                mov     (SP)+, R4
                mov     (SP)+, R3
                mov     (SP)+, R2
                mov     (SP)+, R1
                mov     (SP)+, R0
                return

; End of function ChrOut


; получение и установка цветов
; за командой три байта: цвет фона1, цвет фона2, цвет символа
; и байт выравнивания
; портит R2
SetColors:      call    PickColors
                inc     R5
                rts     R5

; вход:
; R5 - адрес параметров цветов
PickColors:     call    GetColMask      ; получение цвета.
                                        ; расширение 4 бит в 16 бит
                mov     R2, @#BgColor1  ; цвет фона 1
                call    GetColMask      ; получение цвета.
                                        ; расширение 4 бит в 16 бит
                mov     R2, @#BgColor2  ; цвет фона 2
                call    GetColMask      ; получение цвета.
                                        ; расширение 4 бит в 16 бит
                com     R2
                mov     R2, @#ChrColor  ; цвет символа
                return


; ███████████████ S U B R O U T I N E ███████████████████████████████████████


ClrScr:         mov     #40000, R1
1$:             clr     (R1)+
                clr     (R1)+
                clr     (R1)+
                clr     (R1)+
                tst     R1      ; для выполнения этого условия кол-во команд должно быть степенью двойки
                bpl     1$
                return
; End of function ClrScr

; ───────────────────────────────────────────────────────────────────────────
; продолжаем. основная программа

Next:           mov     #130320, @#SndMask ; мл.байт - 320, ст.байт - 260
                                        ; В ячейке SndMask хранится значение для передачи в рег.177716 для звучания.
                                        ; в мл.байте - звук передаётся на спикер и магнитофон
                                        ; в ст.байте - звук передаётся только на магнитофон
                mov     #1, @#BufferStatus
                tst     Buffer          ; есть что в буфере?
                bne     QuitMenu        ; да - переход
; сюда выходи из меню очистки и при ошибках чтения
ClearBuffer:    call    CursorSwitch
                clr     @#BufferStatus  ; флаг, что в буфере пусто
                mov     #Buffer, R1     ; заполним буфер пробелами
                mov     #EndBuffer-Buffer, R0 ; весь. целиком
2$:             movb    #40, (R1)+
                sob     R0, 2$
                call    CursorSwitch
;сюда выходим из меню штатно
QuitMenu:       call    ClrScr
                jsr     R5, SetColors
                .byte   0,0,12, 0
                jsr     R5, FillRect    ; За командой параметры:
                                        ; .word addr
                                        ; .byte width in word
                                        ; .byte hight in 2 line
                                        ; .byte color1, color2
                .word 40000
                .byte 40,15
                .byte 15,7

                call    FillBkgrCmdLn2
                mov     #15422, R0      ; мл.22, ст.33
                emt     16              ; Вывод кода 22 на экран
                swab    R0
                emt     16              ; Вывод кода 33 на экран
                tst     @#BufferStatus  ; что в буфере?
                beq     4$              ; пусто - переход
                mov     #Buffer, R1     ; выведем содержимое на экран
                clr     R2
                call    StrOut          ; Вход: R1 - адрес строки
                                        ;       R2 - мл.байт - количество символов
                                        ;            ст.байт - символ ограничитель

4$:             mov     #22, R0
                emt     16              ; Вывод символа на экран
                mov     #Menu, R1
                clr     R2
                call    StrOut          ; Вход: R1 - адрес строки
                                        ;       R2 - мл.байт - количество символов
                                        ;            ст.байт - символ ограничитель
                mov     #-1, @#BufferStatus
                clr     R1
                mov     #1, R2
                emt     24              ; Установка координат курсора
                mov     #Buffer, R5
                call    CursorSwitch

ContinueEdit:   jsr     R5, SetColors
                .byte   17,17,5, 0

; редактор текста в буфере
BufEditor:      emt     26              ; Получение координат курсора
                iot                     ; принимаем код символа с клавиатуры
                cmpb    #12, R0         ; это ввод?
                bne     1$              ; нет
                cmp     #26, R2         ; мы на самой нижней строке?
                beq     BufEditor       ; да - игнорировать
                sub     R1, R5          ; иначе - переход в начало следующей строки
                add     #32., R5        ; в буфере
102$:           emt     16              ; Вывод символа на экран
                br      BufEditor

1$:             cmpb    #30, R0         ; это забой?
                bne     2$              ; нет
                tst     R1              ; мы в начале строки?
                beq     BufEditor       ; да - игнорировать
                emt     16              ; Вывод символа на экран
                movb    #40, -(R5)
                mov     #26, R0
                br      101$            ; пойдём выполним функцию сдвижки в строке

2$:             cmpb    #27, R0         ; это раздвижка в строке?
                bne     4$              ; нет
                sub     #31., R1
                neg     R1              ; сколько символов до конца строки
                beq     110$
                inc     R1
                add     R1, R5
3$:             movb    -2(R5), -(R5)
                sob     R1, 3$
110$:           movb    #40, (R5)
                br      102$

4$:             cmpb    #26, R0         ; это сдвижка в строке?
                bne     7$              ; нет
101$:           sub     #31., R1
                mov     R5, -(SP)
                neg     R1              ; сколько символов до конца строки
                beq     6$
5$:             movb    1(R5), (R5)+
                sob     R1, 5$
6$:             movb    #40, (R5)       ; в конце добавляем пробел
                mov     (SP)+, R5
                br      102$

7$:             cmpb    #213, R0        ; это удаление правой части строки от курсора?
                bne     9$              ; нет
                sub     #32., R1
                neg     R1
                mov     R5, -(SP)
8$:             movb    #40, (R5)+
                sob     R1, 8$
                mov     (SP)+, R5
                mov     #231, R0        ; выполним функцию удаления правой части строки
                br      102$

9$:             cmpb    #227, R0        ; это АР2 + раздвижка в строке?
                bne     12$             ; нет
                call    FillBkgrCmdLn1
                mov     R5, -(SP)
                sub     R1, R5
                mov     #EndBuffer, R2
10$:            movb    -33.(R2), -(R2)
                cmp     R2, R5
                bne     10$
                mov     #32., R0
11$:            movb    #40, (R5)+
                sob     R0, 11$
                mov     #24, R0
103$:           emt     16              ; Вывод символа на экран
                mov     (SP)+, R5
                call    FillBkgrCmdLn2
100$:           br      BufEditor

12$:            cmpb    #226, R0        ; это АР2 + сдвижка в строке?
                bne     15$             ; нет
                call    FillBkgrCmdLn1
                mov     R5, -(SP)
                sub     R1, R5
                mov     #EndBuffer, R2
13$:            movb    32.(R5), (R5)+
                cmp     R5, R2
                bne     13$
                mov     #32., R0
14$:            movb    #40, -(R5)
                sob     R0, 14$
                mov     #23, R0
                br      103$

15$:            cmpb    #201, R0        ; это ПОВТ ?
                bne     16$             ; нет
                call    ProcMenu        ; да - вход в меню
                jmp     ContinueEdit

16$:            mov     #EditorsKey, R3 ; дальше проверим клавиши перемещения курсора
                mov     #4, R4
17$:            cmpb    (R3)+, R0       ; нашли нужную?
                beq     22$             ; да
                add     #3, R3          ; нет - ищем дальше
                sob     R4, 17$
                mov     #DisabledCodes, R3 ; дальше проверим коды, которые запрещены, т.к.
                                        ; у них нет в шрифте символов, они заняты под логотип
18$:            cmpb    (R3)+, R0
                beq     100$            ; такие коды игнорируются
                tstb    (R3)
                bne     18$

                bitb    #140, R0        ; дальше, это печатный символ?
                beq     100$            ; нет - игнорировать
                call    ChrOut
                movb    R0, (R5)
                cmp     #31., R1        ; мы в конце строки?
                bne     21$             ; нет
                mov     #10, R0         ; двигать курсор влево
104$:           emt     16              ; Вывод символа на экран
                br      100$

21$:            inc     R5              ; можно сдвигаться вправо
                br      100$

22$:            movb    (R3)+, R4       ; приращение к X
                add     R4, R1          ; прибавим к координате X
                movb    (R3)+, R4       ; приращение к Y
                add     R4, R2          ; прибавим к координате Y
                movb    (R3)+, R4       ; приращение к адресу
                cmp     R1, #37         ; вышли за правую или левую границу?
                bhi     100$            ; да ошибка
                cmp     R2, #1          ; вышли за верхнюю границу?
                blt     100$            ; да ошибка
                cmp     R2, #26         ; вышли за нижнюю границу?
                bgt     100$            ; да ошибка
                add     R4, R5          ; прибавим к адресу
                br      104$


; ███████████████ S U B R O U T I N E ███████████████████████████████████████


FillBkgrCmdLn1: jsr     R5, FillRect    ; За командой параметры:
                                        ; .word addr
                                        ; .byte width in word
                                        ; .byte hight in 2 line
                                        ; .byte color1, color2
                .word 76600
                .byte 40,5
                .byte 0,0
                return
; End of function FillBkgrCmdLn1


; ███████████████ S U B R O U T I N E ███████████████████████████████████████


FillBkgrCmdLn2: jsr     R5, FillRect    ; За командой параметры:
                                        ; .word addr
                                        ; .byte width in word
                                        ; .byte hight in 2 line
                                        ; .byte color1, color2
                .word 76600
                .byte 40,5
                .byte 15,7
                return
; End of function FillBkgrCmdLn2

; ███████████████ S U B R O U T I N E ███████████████████████████████████████
; обработка меню

ProcMenu:       mov     R1, -(SP)
                mov     R2, -(SP)
                mov     R5, -(SP)
                mov     #MenuParam, R5
                mov     #21042, R3
                mov     #104210, R4
                clrb    @#SelectedMenu  ; выбранный пункт меню
                call    CursorSwitch
                emt     26              ; получим координаты курсора
                mov     R1, -(SP)       ; запомним
                mov     R2, -(SP)

1$:             movb    (R5), R1        ; берём координату X
                clr     R2
                emt     24              ; устанавливаем курсор
                movb    1(R5), R2       ; берём ширину
                call    SelMenu         ; выделяем пункт меню

2$:             iot                     ; ждём код
                cmpb    #3, R0          ; это КТ?
                beq     5$              ; да - выход из меню
                cmpb    #31, R0         ; это стрелка вправо?
                bne     3$              ; нет
                tstb    2(R5)           ; а вправо можно двигаться?
                beq     2$              ; нет
                tst     (R5)+           ; да - двигаемся
                incb    @#SelectedMenu  ; следующий пункт
10$:            call    SelMenu         ; снимаем выделение
                br      1$

3$:             cmpb    #10, R0         ; это стрелка влево?
                bne     4$              ; нет
                tstb    (R5)            ; влево двигаться можно?
                beq     2$              ; нет, 0 - координата самого левого пункта, и если мы стоим на нём
                                        ; то это условие будет выполняться
                tst     -(R5)           ; да - двигаемся
                decb    @#SelectedMenu  ; предыдущий пункт
                br      10$
                ; выполнение
4$:             cmpb    #12, R0         ; это ввод?
                bne     2$
                movb    @#SelectedMenu, R0 ; достаём номер активного пункта меню
                asl     R0              ; * 2
                mov     R5, -(SP)
                call    @FuncTbl(R0)
                mov     (SP)+, R5
                br      2$
                ; выход
5$:             call    SelMenu         ; снимаем выделение
                mov     (SP)+, R2
                mov     (SP)+, R1
                emt     24              ; восстанавливаем координаты курсора в поле редактора
                call    CursorSwitch
                call    FillBkgrCmdLn2
                mov     (SP)+, R5
                mov     (SP)+, R2
                mov     (SP)+, R1
                return

FuncTbl:        .word Speak     ; Говорение
                .word Find      ; Поиск файла
                .word Read      ; Чтение файла
                .word Save      ; Сохранение файла
                .word Clear     ; Очистка буфера
; End of function ProcMenu

; ███████████████ S U B R O U T I N E ███████████████████████████████████████
; выделение пункта меню
; Вход: R2 - ширина в символах (32 симв. в строке)
;       R3,R4 - цвет 1, цвет 2

SelMenu:        mov     R5, -(SP)
                mov     @#AS, R0
                mov     #5, R5
1$:             mov     R2, R1
2$:             xor     R3, (R0)+
                xor     R4, 100-2(R0)
                sob     R1, 2$
                add     #200, R0
                sub     R2, R0
                sub     R2, R0
                sob     R5, 1$
                mov     (SP)+, R5
                return
; End of function SelMenu


; ███████████████ S U B R O U T I N E ███████████████████████████████████████

SubIO:          call    DrawRWWnd
                clr     R2
                call    StrOut          ; Вход: R1 - адрес строки
                                        ;       R2 - мл.байт - количество символов
                                        ;            ст.байт - символ ограничитель
                mov     #10, R1
                mov     #4, R2
                emt     24
                mov     #NameBuf, R1
                clr     R2
                emt     20
                mov     #13, R1
                mov     #4, R2
                emt     24
                call    CursorSwitch
                ; очищаем имя в блоке параметров
                mov     #IMMAS, R1
                mov     R1, R3
                mov     #/NAMELEN, R0
4$:             mov     #20040, (R1)+
                sob     R0, 4$
                ; ввод имени файла
1$:             iot
                cmpb    R0, #30         ; забой?
                beq     2$              ; да
                cmpb    R0, #12         ; ввод?
                beq     3$              ; да
                bit     R0, #140        ; печатный символ?
                beq     1$              ; нет
                emt     26
                cmp     R1, #21
                beq     1$
                sub     #240, R0        ; делаем лат загл.
                movb    R0, (R3)+
                emt     16
                br      1$
; удаляем последний введённый символ
2$:             emt     26
                cmp     R1, #13
                beq     1$
                emt     16
                movb    #40, -(R3)
                br      1$
; конец ввода имени
3$:             mov     #".S, @#IMMAS+6
                mov     #"PE, @#IMMAS+10
                mov     #EndBuffer-Buffer+2, @#DLMAS
                mov     #Buffer, @#ADRMAS
; End of function SubIO


; ███████████████ S U B R O U T I N E ███████████████████████████████████████

CursorSwitch:   mov     #232, R0        ; Переключение режима индикации курсора
                emt     16
                return
; End of function CursorSwitch


; ███████████████ S U B R O U T I N E ███████████████████████████████████████


LoadFile:       jsr     R5, FillRect    ; За командой параметры:
                                        ; .word addr
                                        ; .byte width in word
                                        ; .byte hight in 2 line
                                        ; .byte color1, color2
                .word 45614
                .byte 24,62
                .byte 5,5
                mov     #52525, @#FON
                mov     #-1, @#MASCW
                mov     #StrFind, R1
                clr     R2
                call    StrOut          ; Вход: R1 - адрес строки
                                        ;       R2 - мл.байт - количество символов
                                        ;            ст.байт - символ ограничитель
1$:             mov     #BPDMAG, R1
                mov     #3, (R1)
                emt     36

                mov     #47014, R0
                mov     #120, R3
2$:             mov     #24, R1
3$:             mov     1200(R0), (R0)+
                sob     R1, 3$
                add     #30, R0
                sob     R3, 2$

                mov     #10, R1
                mov     #13, R2
                emt     24
                mov     #NAMELEN, R2
                mov     #IMTMAS, R1
4$:             movb    (R1)+, R0
                bit     #140, R0
                beq     5$
                emt     16
5$:             sob     R2, 4$

                cmpb    @#OTWET, #1
                beq     1$
                cmpb    @#OTWET, #2
                beq     ErrLoad
                return
; ───────────────────────────────────────────────────────────────────────────

ErrLoad:        jsr     R5, FillRect    ; За командой параметры:
                                        ; .word addr
                                        ; .byte width in word
                                        ; .byte hight in 2 line
                                        ; .byte color1, color2
                .word 45614
                .byte 24,17
                .byte 17,17
                mov     #StrErrLoad, R1
                clr     R2
                call    StrOut          ; Вход: R1 - адрес строки
                                        ;       R2 - мл.байт - количество символов
                                        ;            ст.байт - символ ограничитель
                iot

StopLoad:       clr     @#FON
                br      0ClrBuf$
; End of function LoadFile


; ███████████████ S U B R O U T I N E ███████████████████████████████████████

; Очистка буфера

Clear:          call    MsgConfirm
0ClrBuf$:       mov     #Start, SP
                jmp     ClearBuffer
; End of function Clear


; ███████████████ S U B R O U T I N E ███████████████████████████████████████

; Чтение файла

Read:           mov     #StrRead, R1
                call    SubIO
                call    MsgConfirm
                call    LoadFile
                cmpb    @#OTWET, #4
                beq     StopLoad
                jmp     BreakMenu

; End of function Read


; ███████████████ S U B R O U T I N E ███████████████████████████████████████

; Сохранение файла

Save:           mov     #StrSave, R1
                call    SubIO
                mov     #BPDMAG, R1
                mov     #2, (R1)
                emt     36
                jmp     BreakMenu
; End of function Save


; ███████████████ S U B R O U T I N E ███████████████████████████████████████

; Поиск файла

Find:           clr     @#IMMAS
                call    LoadFile
                jmp     BreakMenu
; End of function Find



; ───────────────────────────────────────────────────────────────────────────
; Говорение
Speak:          call    ClrScr
                mov     #214, R0        ; включаем режим РП
                emt     16
                mov     #1330, @#177664 ; но делаем видимым весь экран, чтобы РП только на вывод текста влияло
                jsr     R5, SetColors
                .byte   0,0,12,0
                clrb    @#GerbFlag
                jsr     R5, FillRect    ; За командой параметры:
                                        ; .word addr
                                        ; .byte width in word
                                        ; .byte hight in 2 line
                                        ; .byte color1, color2
                .word 40000
                .byte 40,140
                .byte 6,10
                jsr     R5, FillRect    ; За командой параметры:
                                        ; .word addr
                                        ; .byte width in word
                                        ; .byte hight in 2 line
                                        ; .byte color1, color2
                .word 53024
                .byte 14,71
                .byte 3,14
                jsr     R5, FillRect    ; За командой параметры:
                                        ; .word addr
                                        ; .byte width in word
                                        ; .byte hight in 2 line
                                        ; .byte color1, color2
                .word 53020
                .byte 2,71
                .byte 17,17
                jsr     R5, FillRect    ; За командой параметры:
                                        ; .word addr
                                        ; .byte width in word
                                        ; .byte hight in 2 line
                                        ; .byte color1, color2
                .word 53054
                .byte 2,71
                .byte 17,17
                jsr     R5, FillRect    ; За командой параметры:
                                        ; .word addr
                                        ; .byte width in word
                                        ; .byte hight in 2 line
                                        ; .byte color1, color2
                .word 54000
                .byte 10,65
                .byte 16,3
                jsr     R5, FillRect    ; За командой параметры:
                                        ; .word addr
                                        ; .byte width in word
                                        ; .byte hight in 2 line
                                        ; .byte color1, color2
                .word 54060
                .byte 10,65
                .byte 16,3

                call    ClearTmpBuff
                mov     #Buffer, R1
                mov     #26, R5         ; количество строк в буфере
                movb    #3, @#SpkSpeed  ; начальная скорость
1$:             mov     #32., R3        ; длина строки в буфере
                mov     #TmpStrBuff, R2
2$:             movb    (R1)+, R0
                movb    R0, (R2)+
                call    ChrOut
                sob     R3, 2$
                mov     R2, -(SP)       ; отбрасываем пробелы в конце строки
3$:             cmpb    #40, -(R2)
                beq     3$
                inc     R2
                cmp     R2, (SP)+
                beq     4$
                inc     R2
4$:             movb    #12, (R2)       ; формируем конец строки
                call    SpeakTmpBuff    ; воспроизведём
                sob     R5, 1$
                call    ClearTmpBuff
                ; если после говорения нажать АР2+'+' а затем АР2+'<'
                ; то можно увидеть зашифрованный текст
                iot
                cmpb    R0, #253        ; АР2 + '+'
                bne     5$
                iot
                cmpb    R0, #274        ; АР2 + '<'
                bne     5$
                call    Secret
                br      BreakMenu

5$:             mov     #214, R0
                emt     16
BreakMenu:      mov     #1, @#BufferStatus
ConfirmYes:     clr     @#FON
                mov     #Start, SP
                jmp     QuitMenu

; ███████████████ S U B R O U T I N E ███████████████████████████████████████


MsgConfirm:     jsr     R5, FillRect    ; За командой параметры:
                                        ; .word addr
                                        ; .byte width in word
                                        ; .byte hight in 2 line
                                        ; .byte color1, color2
                .word 45614
                .byte 24,17
                .byte 12,12
                mov     #StrUSure, R1
                clr     R2
                call    StrOut          ; Вход: R1 - адрес строки
                                        ;       R2 - мл.байт - количество символов
                                        ;            ст.байт - символ ограничитель
                iot
                cmpb    R0, #'Д
                bne     ConfirmYes
                return
; End of function MsgConfirm

; ███████████████ S U B R O U T I N E ███████████████████████████████████████

; вывод секретного текста
Secret:         call    ClrScr
                mov     #106022, R0
                emt     16
                swab    R0
                emt     16
                jsr     R5, FillRect    ; За командой параметры:
                                        ; .word addr
                                        ; .byte width in word
                                        ; .byte hight in 2 line
                                        ; .byte color1, color2
                .word 43204
                .byte 34,36
                .byte 5,5
                mov     #3, R1
                mov     #1, R2
                emt     24
                mov     #6, R5
                mov     #CryptText, R3
                jsr     R5, SetColors
                .byte   5,5,17, 0
1$:             movb    (R3)+, R0
                negb    R0
                aslb    R0
                adcb    R0
                beq     2$
                call    ChrOut
                br      1$

2$:             inc     R2
                emt     24
                sob     R5, 1$
                iot
                return
; End of function Secret


; ███████████████ S U B R O U T I N E ███████████████████████████████████████


DrawRWWnd:      mov     #52525, @#FON
                mov     #-1, @#MASCW
                jsr     R5, FillRect    ; За командой параметры:
                                        ; .word addr
                                        ; .byte width in word
                                        ; .byte hight in 2 line
                                        ; .byte color1, color2
                .word 45614
                .byte 24,17
                .byte 5,5
                return
; End of function DrawRWWnd





; ███████████████ S U B R O U T I N E ███████████████████████████████████████


ClearTmpBuff:   mov     #5040, TmpStrBuff ; в буфер пробел и перевод строки
                ;call    SpeakTmpBuff
                ;return
; End of function ClearTmpBuff

; ███████████████ S U B R O U T I N E ███████████████████████████████████████


SpeakTmpBuff:   mov     R1, -(SP)
                mov     R2, -(SP)
                mov     R3, -(SP)
                mov     R4, -(SP)
                mov     R5, -(SP)
                clrb    FlagAccent
                clrb    FlagHardSign
                mov     #TranscripBuff, R2 ; буфер транскрипции, сюда помещаем текст
                mov     #TmpStrBuff, R1 ; буфер строки, отсюда берём символы
                ; проверим на гласные
1$:             mov     #Alph1, R3      ; "Е:ЮЯИЭОУАИ"
                mov     #5, R4
2$:             cmpb    (R1), (R3)+     ; нашли?
                beq     9$              ; да
                sob     R4, 2$
                movb    (R1)+, R0       ; не нашли, проверим, что это
                cmpb    #'Ь, R0         ; мягкий знак?
                bne     3$
                mov     #Alph3, R4      ; "БВГДЖЗКЛМНПРСТФХЦЧШЩ"
                movb    -1(R2), R0      ; какая буква была перед мягким знаком?
01$:            cmpb    (R4)+, R0       ; из списка?
                bne     02$             ; нет 
                movb    Alph4-Alph3-1(R4), -1(R2)   ; да - меняем твёрдую согласную, на мягкую
                br      7$

02$:            tstb    (R4)
                bne     01$
                br      7$              ; не из списка - оставляем как есть

                ; гласная из массива
9$:             inc     R1
                tstb    FlagHardSign    ; твёрдый знак перед ней был?
                bne     11$             ; да
                mov     #Alph3, R4      ; "БВГДЖЗКЛМНПРСТФХЦЧШЩ"
                movb    -1(R2), R0      ; нет, а какая буква была?
10$:            cmpb    (R4)+, R0       ; если из списка
                bne     13$             ; то заменим
                movb    Alph4-Alph3-1(R4), -1(R2) ; твёрдую согласную, на мягкую
                br      12$

13$:            tstb    (R4)            ; а если не из списка
                bne     10$             ; то как после твёрдого знака
11$:            movb    #'Й, (R2)+      ; меняем звучание гласной после твёрдого знака
12$:            movb    4(R3), (R2)+
                br      6$

3$:             cmpb    #'Ъ, R0         ; твёрдый знак?
                bne     4$              ; нет
                comb    FlagHardSign    ; да - отметим
                br      8$

4$:             cmpb    #'', R0         ; ударение
                bne     5$              ; нет
                comb    FlagAccent      ; да - отметим
                br      7$

5$:             movb    R0, (R2)+       ; прочие символы переносим как есть

6$:             tstb    FlagAccent      ; ударение есть?
                beq     7$              ; нет
                comb    FlagAccent      ; есть - снимем
                movb    -1(R2), (R2)+   ; и символ продублируем.

7$:             clrb    FlagHardSign    ; твёрдый знак тоже обработан и больше не нужен

8$:             cmpb    (R1), #12       ; если встретили перевод строки
                bne     1$
                movb    (R1), (R2)      ; то как бы конец строки

                ; теперь озвучим буфер транскрипции
14$:            mov     #TranscripBuff, R1
15$:            movb    (R1)+, R0
                cmpb    #12, R0         ; пока не встретим перевод строки
                beq     16$
                mov     R1, -(SP)
                call    SpeakControl
                mov     (SP)+, R1
                br      15$

16$:            mov     (SP)+, R5
                mov     (SP)+, R4
                mov     (SP)+, R3
                mov     (SP)+, R2
                mov     (SP)+, R1
                return
; End of function SpeakTmpBuff


; ███████████████ S U B R O U T I N E ███████████████████████████████████████


SpeakControl:   cmpb    #40, R0         ; пробел - короткая пауза
                bne     1$
                mov     #15000., -(SP)
                br      0OutClownHead

1$:             cmpb    #',, R0         ; запятая - длинная пауза
                bne     2$
                mov     #50000., -(SP)
0OutClownHead:  mov     #47434, R0
                mov     #ClownHead, R1
                jsr     R5, OutSprite   ; За командой 2 байта: ширина спрайта в словах, высота спрайта
                                        ; R1 - адрес спрайта
                                        ; R0 - адрес экрана
                .byte 5,34
                mov     (SP)+, R0
                sob     R0, .
                return

2$:             cmpb    #'1, R0
                bhi     3$
                cmpb    #'3, R0
                blo     3$
                sub     #'0, R0
                movb    R0, @#SpkSpeed  ; 1,2,3 - скорость воспроизведения
                return

3$:             cmpb    #'8, R0         ; 8 - герб на трибуне + политбюро
                bne     5$
                incb    @#GerbFlag      ; флаг герба
                mov     #56634, R0
                mov     #Gerb, R1
                jsr     R5, OutSprite   ; За командой 2 байта: ширина спрайта в словах, высота спрайта
                                        ; R1 - адрес спрайта
                                        ; R0 - адрес экрана
                .byte 4,40

0DrawPolitBuro: mov     #50610, R0
                call    DrawPlBrMan     ; нарисовать одного мужика в политбюро
                ; затем кастомизация мужика
                jsr     R5, OutSprite   ; За командой 2 байта: ширина спрайта в словах, высота спрайта
                                        ; R1 - адрес спрайта
                                        ; R0 - адрес экрана
                .byte 2,10
                add     #52, R0
                call    DrawPlBrMan     ; нарисовать одного мужика в политбюро
                ; затем кастомизация мужика
                add     #spr_27614-spr_27554, R1
                jsr     R5, OutSprite   ; За командой 2 байта: ширина спрайта в словах, высота спрайта
                                        ; R1 - адрес спрайта
                                        ; R0 - адрес экрана
                .byte 2,5
                add     #10, R0
                call    DrawPlBrMan     ; нарисовать одного мужика в политбюро
                ; затем кастомизация мужика
                add     #spr_27640-spr_27554, R1
                jsr     R5, OutSprite   ; За командой 2 байта: ширина спрайта в словах, высота спрайта
                                        ; R1 - адрес спрайта
                                        ; R0 - адрес экрана
                .byte 2,7
                return

5$:             cmpb    #'7, R0         ; 7 - перст указующий
                bne     6$
                mov     #51032, R0
                mov     #HandAttent, R1
                jsr     R5, OutSprite   ; За командой 2 байта: ширина спрайта в словах, высота спрайта
                                        ; R1 - адрес спрайта
                                        ; R0 - адрес экрана
                .byte 1,20
                return

6$:             cmpb    #'6, R0         ; 6 - убрать перст указующий
                bne     7$
                jsr     R5, FillRect    ; За командой параметры:
                                        ; .word addr
                                        ; .byte width in word
                                        ; .byte hight in 2 line
                                        ; .byte color1, color2
                .word 51032
                .byte 1,10
                .byte 6,10
                return

7$:             tstb    @#GerbFlag      ; герб на экране?
                beq     9$              ; нет - переход
                cmpb    #'5, R0         ; иначе - доступны ещё режимы 4 и 5
                bne     8$
                mov     #53062, R0      ; 5 - мужику из политбюро нарисовать поднятую руку
                mov     #HandMPB, R1
                jsr     R5, OutSprite   ; За командой 2 байта: ширина спрайта в словах, высота спрайта
                                        ; R1 - адрес спрайта
                                        ; R0 - адрес экрана
                .byte 1,10
                return

8$:             cmpb    #'4, R0         ; 4 - мужику из политбюро убрать поднятую руку
                beq     0DrawPolitBuro
; теперь определим мимику по букве
9$:             mov     #Alph0, R1      ; "АБВГДЕеЖЗИЙКЛМНОПРСТУФХЦЧШЩЫЭЮЯбвгдзклм"...
10$:            movb    (R1)+, R2
                beq     25$             ; для символа нет звука
                cmpb    R2, R0
                bne     10$
                sub     #Alph0+1, R1    ; номер нужного звука
                movb    MimicNum(R1), R3 ; номер нужной мимики
                asl     R3
                mov     R3, R2
                asl     R3
                asl     R3
                asl     R3
                asl     R3
                asl     R3
                add     R2, R3          ; R3 *= 102
                add     #ClownMimic, R3
                mov     #51336, R0
                mov     #13, R2
18$:            mov     (R3)+, (R0)+
                mov     (R3)+, (R0)+
                mov     (R3)+, (R0)+
                add     #72, R0
                sob     R2, 18$
                asl     R1              ; номер нужного звука
                movb    SndParamTbl(R1), R3     ; сколько слов от начала пропустить
                movb    SndParamTbl+1(R1), R2   ; сколько слов от конца проигнорировать
                mov     SndTbl(R1), R1  ; адрес нужного звука
                mov     #SndBuffer, R4  ; адрес звукового буфера
                mov     R4, R0
                add     R3, R0          ; вычислим, откуда начинать воспроизведение
                add     R3, R0
                mov     R0, -(SP)

                mov     #EndSndBuffer-SndBuffer, R0 ; длина звукового буфера в байтах
                mov     R0, R5
                asr     R5              ; длина звукового буфера в словах
                add     R2, R3          ; получаем размер остатка звукового буфера в словах
                sub     R3, R5          ; получаем число слов в буфере, которые надо сыграть
                ; распаковываем звук в звуковой буфер
                mov     #-1, R2
19$:            movb    (R1)+, R3
                cmpb    R2, R3          ; если байт 377
                beq     20$             ; то переход
                movb    R3, (R4)+       ; остальные байты - просто копируем
                br      22$

20$:            clr     R3              ; то за ним число - количество байтов 377
                bisb    (R1)+, R3
                sub     R3, R0          ; вычтем кол-во из остатка длины буфера
                bgt     21$             ; если не вылезли за буфер, то норма
                mov     #1, R0          ; иначе докопируем остаток и хватит
21$:            movb    R2, (R4)+       ; размножаем байт 377 столько, сколько нужно.
                sob     R3, 21$         ; причём постараемся не вылезать за пределы буфера
22$:            sob     R0, 19$

                mov     (SP)+, R4
                movb    @#SpkSpeed, R0  ; скорость воспроизведения
                cmpb    #2, R0          ; если скорость == 2
                beq     24$             ; то продублируем предыдущее слово
23$:            mov     (R4)+, R3
                call    SpeakOut
                sob     R5, 23$
25$:            return

24$:            mov     (R4), R3
                call    SpeakOut
                mov     (R4)+, R3
                call    SpeakOut
                sob     R5, 24$
                return
; End of function SpeakControl


; ███████████████ S U B R O U T I N E ███████████████████████████████████████


SpeakOut:       mov     R5, -(SP)
                mov     R4, -(SP)
                mov     #177716, R5
                movb    @#SndMask, R4
                mov     #16., R2
1$:             rol     R3
                bcs     2$
                movb    #220, (R5)
                br      3$

2$:             movb    R4, (R5)
3$:             mov     R0, R1
                sob     R1, .
                sob     R2, 1$
                mov     (SP)+, R4
                mov     (SP)+, R5
                return
; End of function SpeakOut


; ███████████████ S U B R O U T I N E ███████████████████████████████████████

; За командой 2 байта: ширина спрайта в словах, высота спрайта
; R1 - адрес спрайта
; R0 - адрес экрана

OutSprite:      mov     R0, -(SP)
                mov     R2, -(SP)
                mov     R3, -(SP)
                mov     R4, -(SP)
                movb    (R5)+, R4       ; ширина спрайта
                movb    (R5)+, R3       ; высота спрайта
1$:             mov     R4, R2
2$:             mov     (R1)+, (R0)+
                sob     R2, 2$
                sub     R4, R0
                sub     R4, R0
                add     #100, R0
                sob     R3, 1$
                mov     (SP)+, R4
                mov     (SP)+, R3
                mov     (SP)+, R2
                mov     (SP)+, R0
                rts     R5
; End of function OutSprite


; ███████████████ S U B R O U T I N E ███████████████████████████████████████
; нарисовать одного мужика в политбюро

DrawPlBrMan:    mov     R0, -(SP)
                mov     R2, -(SP)
                mov     #PolitBuro, R1
                jsr     R5, OutSprite   ; За командой 2 байта: ширина спрайта в словах, высота спрайта
                                        ; R1 - адрес спрайта
                                        ; R0 - адрес экрана
                .byte 2,32
                mov     R1, -(SP)
                mov     #spr_27674, R1
                add     #2276, R0
                mov     #7, R2
1$:             mov     (R1)+, (R0)
                mov     (R1)+, 6(R0)
                add     #100, R0
                sob     R2, 1$
                mov     (SP)+, R1
                mov     (SP)+, R2
                mov     (SP)+, R0
                return
; End of function DrawPlBrMan

; ───────────────────────────────────────────────────────────────────────────

FlagAccent:     .byte 0     ; флаг ударения
FlagHardSign:   .byte 0     ; флаг твёрдого знака

; таблица замены символов.
; первый байт - что, второй - на что
Transcode:      .byte 133, 73
                .byte 135, 75
                .byte 0, 0
; ───────────────────────────────────────────────────────────────────────────
; шрифт
; коды 40..77, 100..137
Font:           .byte 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
                .byte 234, 70, 70, 170, 130, 330, 230, 230, 30, 74
                .byte 367, 143, 143, 143, 143, 343, 143, 143, 143, 363
                .byte 7, 214, 314, 314, 314, 307, 300, 300, 200, 0
                .byte 27, 31, 20, 0, 0, 0, 0, 20, 31, 17
                .byte 34, 216, 317, 315, 314, 214, 14, 14, 314, 277
                .byte 17, 31, 260, 260, 260, 61, 77, 60, 230, 17
                .byte 0, 30, 30, 14, 0, 0, 0, 0, 0, 0
                .byte 374, 6, 363, 233, 33, 33, 233, 363, 6, 374
                .byte 3, 6, 14, 15, 14, 14, 15, 14, 6, 3
                .byte 36, 63, 141, 141, 141, 143, 176, 140, 61, 37
                .byte 74, 146, 303, 303, 303, 303, 303, 303, 146, 74
                .byte 0, 0, 0, 0, 0, 0, 34, 34, 30, 14
                .byte 0, 0, 0, 0, 0, 76, 0, 0, 0, 0
                .byte 0, 0, 0, 0, 0, 0, 34, 34, 0, 0
                .byte 0, 0, 100, 140, 60, 30, 14, 6, 3, 1
                .byte 0, 34, 66, 143, 163, 153, 147, 143, 66, 34
                .byte 0, 14, 16, 17, 14, 14, 14, 14, 14, 77
                .byte 0, 76, 143, 141, 60, 30, 14, 6, 143, 177
                .byte 0, 76, 143, 140, 140, 70, 140, 140, 143, 76
                .byte 0, 60, 70, 74, 66, 63, 63, 177, 60, 60
                .byte 0, 177, 3, 3, 77, 143, 140, 140, 143, 76
                .byte 0, 74, 6, 3, 3, 77, 143, 143, 143, 76
                .byte 0, 177, 143, 141, 60, 30, 14, 14, 14, 14
                .byte 0, 76, 143, 143, 143, 76, 143, 143, 143, 76
                .byte 0, 76, 143, 143, 143, 176, 140, 140, 60, 36
                .byte 66, 0, 177, 106, 26, 36, 26, 106, 177, 0
                .byte 0, 0, 0, 34, 34, 0, 34, 34, 30, 14
                .byte 0, 0, 60, 30, 14, 6, 14, 30, 60, 0
                .byte 0, 0, 0, 34, 34, 0, 34, 34, 0, 0
                .byte 0, 0, 6, 14, 30, 60, 30, 14, 6, 0
                .byte 0, 0, 76, 143, 140, 60, 30, 0, 30, 0
                .byte 0, 0, 71, 155, 155, 157, 155, 155, 71, 0
                .byte 0, 0, 34, 66, 143, 143, 177, 143, 143, 0
                .byte 0, 0, 177, 106, 6, 76, 146, 146, 77, 0
                .byte 0, 0, 63, 63, 63, 63, 63, 63, 177, 140
                .byte 0, 0, 76, 66, 66, 66, 66, 66, 177, 143
                .byte 0, 0, 177, 106, 26, 36, 26, 106, 177, 0
                .byte 0, 0, 10, 76, 153, 153, 153, 76, 10, 0
                .byte 0, 0, 177, 146, 6, 6, 6, 6, 17, 0
                .byte 0, 0, 143, 66, 34, 34, 66, 143, 143, 0
                .byte 0, 0, 143, 143, 163, 173, 157, 147, 143, 0
                .byte 0, 10, 153, 143, 163, 173, 157, 147, 143, 0
                .byte 0, 0, 147, 66, 66, 36, 66, 66, 147, 0
                .byte 0, 0, 174, 146, 146, 146, 146, 146, 143, 0
                .byte 0, 0, 143, 167, 177, 153, 153, 143, 143, 0
                .byte 0, 0, 143, 143, 143, 177, 143, 143, 143, 0
                .byte 0, 0, 76, 143, 143, 143, 143, 143, 76, 0
                .byte 0, 0, 177, 143, 143, 143, 143, 143, 143, 0
                .byte 0, 0, 176, 63, 63, 76, 66, 66, 163, 0
                .byte 0, 0, 77, 146, 146, 76, 6, 6, 17, 0
                .byte 0, 0, 74, 146, 3, 3, 3, 146, 74, 0
                .byte 0, 0, 77, 55, 14, 14, 14, 14, 36, 0
                .byte 0, 0, 143, 143, 143, 176, 140, 143, 76, 0
                .byte 0, 0, 153, 153, 153, 76, 153, 153, 153, 0
                .byte 0, 0, 77, 146, 146, 76, 146, 146, 77, 0
                .byte 0, 0, 17, 6, 6, 76, 146, 146, 77, 0
                .byte 0, 0, 143, 143, 143, 157, 133, 133, 157, 0
                .byte 0, 0, 76, 143, 140, 74, 140, 143, 76, 0
                .byte 0, 0, 143, 143, 153, 153, 153, 153, 177, 0
                .byte 0, 0, 36, 63, 140, 174, 140, 63, 36, 0
                .byte 0, 0, 143, 143, 153, 153, 153, 153, 177, 100
                .byte 0, 0, 143, 143, 143, 176, 140, 140, 140, 0
                .byte 0, 0, 37, 15, 14, 74, 154, 154, 76, 0
; ───────────────────────────────────────────────────────────────────────────
; спрайты
; мимика - массив спрайтов размером 102 байта
; ширина 3 слова, высота 13 строк
ClownMimic:     .word 63146, 177777, 63146
                .word 114631, 137775, 114631
                .word 63146, 67766, 63146
                .word 114631, 0, 114631
                .word 23145, 0, 63144
                .word 4630, 0, 14620
                .word 23142, 0, 143144
                .word 14613, 0, 130630
                .word 63056, 0, 166146
                .word 110273, 114631, 135411
                .word 1356, 0, 167300
; ---- 1
                .word 63146, 177777, 63146
                .word 114631, 137775, 114631
                .word 63146, 67766, 63146
                .word 114631, 114631, 54631
                .word 3145, 63146, 63140
                .word 14620, 0, 4630
                .word 3102, 63146, 141140
                .word 114473, 114631, 134231
                .word 60356, 63146, 167006
                .word 5673, 0, 135660
                .word 167356, 27354, 167356
; ---- 2
                .word 63146, 177777, 63146
                .word 114631, 137775, 114631
                .word 63146, 67766, 63146
                .word 114631, 114631, 114631
                .word 3145, 40002, 63140
                .word 14630, 0, 14630
                .word 3142, 60006, 143140
                .word 114613, 114631, 130631
                .word 60056, 63146, 166006
                .word 5673, 0, 135660
                .word 167356, 27354, 167356
; ---- 3
                .word 63146, 177777, 63146
                .word 114631, 137775, 114631
                .word 63146, 67766, 63146
                .word 114631, 110011, 114631
                .word 63145, 40002, 63146
                .word 114630, 100001, 14631
                .word 63142, 40002, 143146
                .word 114613, 100001, 130631
                .word 63056, 60006, 166146
                .word 110273, 114631, 135411
                .word 1356, 0, 167300
; ---- 4
                .word 63146, 177777, 63146
                .word 114631, 137775, 114631
                .word 63146, 67766, 63146
                .word 114631, 114031, 114631
                .word 63146, 60006, 63146
                .word 114630, 110011, 14631
                .word 63142, 62046, 143146
                .word 114613, 114631, 130631
                .word 60056, 63146, 166006
                .word 5673, 0, 135660
                .word 167356, 27354, 167356
; набор спрайтов политбюро
PolitBuro:      .word 123146, 63152
                .word 52510, 104525
                .word 125246, 65252
                .word 52524, 112525
                .word 125252, 65252
                .word 52524, 112525
                .word 120252, 65012
                .word 152525, 52527
                .word 175252, 125257
                .word 132525, 52536
                .word 125252, 125252
                .word 52525, 52525
                .word 175246, 65257
                .word 6530, 102560
                .word 175246, 63257
                .word 53510, 104725
                .word 177346, 63577
                .word 4674, 136620
                .word 23103, 141144
                .word 14600, 630
                .word 23000, 144
                .word 14400, 230
                .word 23000, 144
                .word 14400, 230
                .word 23000, 170144
                .word 14400, 170230
spr_27554:      .word 171766, 67752     ; спрайт размером 2 слова на 10 строк
                .word 176774, 137525
                .word 167257, 175252
                .word 152537, 172525
                .word 137653, 165376
                .word 152727, 153527
                .word 160376, 77413
                .word 77524, 12775
spr_27614:      .word 177766, 67777     ; спрайт размером 2 слова на 5 строк
                .word 177774, 137577
                .word 177776, 77253
                .word 57774, 132525
                .word 125276, 75252
spr_27640:      .word 177546, 63377     ; спрайт размером 2 слова на 7 строк
                .word 177774, 137777
                .word 152777, 177527
                .word 125277, 177252
                .word 52537, 172525
                .word 125254, 75252
                .word 50134, 132405
spr_27674:      .word 177146, 63177     ; спрайт размером 2 слова на 7 строк
                .word 1770, 107700
                .word 16, 70000
                .word 14, 130000
                .word 3, 140000
                .word 3, 140003
                .word 0, 140003
; спрайт руки мужика из политбюро
HandMPB:        .word 27003
                .word 16400
                .word 27760
                .word 17254
                .word 35263
                .word 165260
                .word 177700
                .word 34700
; спрайт герба
Gerb:           .word 31463, 31463, 31463, 31463
                .word 146314, 54, 160003, 146314
                .word 31463, 171013, 101077, 31463
                .word 146314, 140252, 124017, 146316
                .word 131463, 145042, 21214, 31472
                .word 126314, 1210, 101000, 146350
                .word 24063, 76242, 24005, 31642
                .word 105314, 77450, 120174, 147210
                .word 21203, 77712, 100766, 35042
                .word 104254, 175410, 100705, 144210
                .word 21043, 165102, 3727, 21042
                .word 104210, 65100, 3717, 24210
                .word 121053, 15100, 3375, 121050
                .word 104212, 172400, 770, 104210
                .word 121042, 176400, 1777, 121050
                .word 25252, 56000, 124, 125240
                .word 27776, 40000, 4005, 137740
                .word 27776, 101010, 4040, 137740
                .word 125252, 101040, 1040, 125250
                .word 137770, 104040, 101010, 167770
                .word 137773, 124200, 20252, 27770
                .word 125254, 167210, 105356, 145250
                .word 177743, 135642, 25673, 35776
                .word 177614, 167353, 127356, 147377
                .word 125263, 135672, 135673, 31252
                .word 177314, 167277, 175356, 146277
                .word 175463, 125377, 177252, 31477
                .word 126314, 147252, 125314, 146312
                .word 131463, 31463, 31463, 31462
                .word 146314, 124312, 126252, 146314
                .word 31463, 31443, 35463, 31463
                .word 146314, 125214, 147252, 146314
; спрайт руки
HandAttent:     .word 163146
                .word 164210
                .word 163146
                .word 164210
                .word 163146
                .word 167210
                .word 167346
                .word 167354
                .word 167356
                .word 167356
                .word 167356
                .word 167356
                .word 25250
                .word 25250
                .word 125252
                .word 52525

; спрайт головы клоуна
ClownHead:      .word 63146, 3146, 25250, 63140, 63146
                .word 104210, 120210, 125252, 104012, 104210
                .word 63146, 125046, 125252, 62252, 63146
                .word 104210, 125210, 125252, 101252, 104210
                .word 63146, 5242, 5240, 45240, 63146
                .word 104210, 120250, 125252, 25012, 104210
                .word 63146, 5010, 5240, 20240, 63146
                .word 4210, 50252, 51205, 165005, 104210
                .word 3146, 12412, 11204, 120124, 63140
                .word 170210, 12252, 17764, 164024, 104217
                .word 131146, 1252, 37774, 125200, 63117
                .word 136210, 125252, 177757, 125252, 104076
                .word 136146, 165252, 177773, 125253, 63076
                .word 137410, 164632, 177773, 125253, 104376
                .word 137706, 163146, 177777, 123153, 61776
                .word 177710, 114231, 177777, 114431, 101777
                .word 177762, 62146, 77776, 63046, 47777
                .word 177410, 110011, 117771, 110011, 100377
                .word 176146, 41147, 63146, 163102, 63077
                .word 210, 4633, 54631, 154620, 104200
                .word 63146, 23140, 3140, 3144, 63146
                .word 4210, 114602, 0, 140631, 104210
                .word 23146, 63073, 60006, 134146, 63144
                .word 44210, 115356, 114631, 167331, 104201
                .word 121146, 35673, 63146, 135670, 63112
                .word 52210, 27356, 0, 167354, 104025
                .word 124146, 135673, 35670, 135673, 63052
                .word 52410, 167356, 27354, 167356, 104125

; ───────────────────────────────────────────────────────────────────────────
; массив адресов звуков
SndTbl:         .word Snd00 ; А
                .word Snd01 ; Б
                .word Snd02 ; В
                .word Snd03 ; Г
                .word Snd04 ; Д
                .word Snd05 ; Е
                .word Snd06 ; е
                .word Snd07 ; Ж
                .word Snd08 ; З
                .word Snd09 ; И
                .word Snd10 ; Й
                .word Snd11 ; К
                .word Snd12 ; Л
                .word Snd13 ; М
                .word Snd14 ; Н
                .word Snd15 ; О
                .word Snd16 ; П
                .word Snd17 ; Р
                .word Snd18 ; С
                .word Snd19 ; Т
                .word Snd20 ; У
                .word Snd21 ; Ф
                .word Snd22 ; Х
                .word Snd23 ; Ц
                .word Snd24 ; Ч
                .word Snd25 ; Ш
                .word Snd26 ; Щ
                .word Snd27 ; Ы
                .word Snd28 ; Э
                .word Snd29 ; Ю
                .word Snd30 ; Я
                .word Snd31 ; б
                .word Snd32 ; в
                .word Snd33 ; г
                .word Snd34 ; д
                .word Snd35 ; з
                .word Snd36 ; к
                .word Snd37 ; л
                .word Snd38 ; м
                .word Snd39 ; н
                .word Snd40 ; п
                .word Snd41 ; р
                .word Snd42 ; с
                .word Snd43 ; т
                .word Snd44 ; ф
                .word Snd45 ; х

; количество параметров совпадает с количеством звуков
; какие-то параметры звуков
                ;     R3  R5
SndParamTbl:    .byte 26,  0    ; А
                .byte  0,  0    ; Б
                .byte  0,  0    ; В
                .byte  0,  0    ; Г
                .byte 17,  0    ; Д
                .byte  0,  0    ; Е
                .byte  1,  0    ; е
                .byte  0,  0    ; Ж
                .byte  0,  5    ; З
                .byte  0,  0    ; И
                .byte  0,  0    ; Й
                .byte 35,  0    ; К
                .byte  0,  0    ; Л
                .byte  0,  0    ; М
                .byte  1,  1    ; Н
                .byte  0,  0    ; О
                .byte 44, 36    ; П
                .byte  6,  0    ; Р
                .byte 22,  0    ; С
                .byte  0, 70    ; Т
                .byte  0,  1    ; У
                .byte  0,  0    ; Ф
                .byte  1,  0    ; Х
                .byte 41,  2    ; Ц
                .byte  0,  7    ; Ч
                .byte  0,  0    ; Ш
                .byte  0,  0    ; Щ
                .byte  1,  0    ; Ы
                .byte  0,  0    ; Э
                .byte  0,  1    ; Ю
                .byte  0,  0    ; Я
                .byte  0,  3    ; б
                .byte  6,  0    ; в
                .byte  0, 12    ; г
                .byte  3, 42    ; д
                .byte  0,  1    ; з
                .byte  4, 22    ; к
                .byte  0,  0    ; л
                .byte  0, 13    ; м
                .byte  0,  0    ; н
                .byte 16, 75    ; п
                .byte  0,  0    ; р
                .byte  4,  0    ; с
                .byte 40,  0    ; т
                .byte  0,  0    ; ф
                .byte  6,  0    ; х

; все звуки в распакованном виде имеют длину 404 байта
; что это за херь выше и какую логику оно имело, не понятно.

Snd00:          .byte 377, 64, 340, 377, 1, 374, 77, 377
                .byte 1, 7, 377, 4, 3, 370, 200, 377
                .byte 2, 37, 1, 374, 340, 377, 2, 77
                .byte 0, 376, 370, 177, 377, 1, 7, 377
                .byte 6, 3, 340, 0, 377, 2, 17, 3
                .byte 360, 300, 377, 2, 17, 1, 370, 300
                .byte 377, 2, 77, 377, 1, 343, 377, 2
                .byte 370, 377, 1, 177, 0, 1, 360, 377
                .byte 2, 177, 0, 7, 370, 377, 2, 177
                .byte 0, 17, 360, 377, 5, 203, 0, 370
                .byte 376, 37, 177, 0, 300, 377, 2, 17
                .byte 377, 1, 0, 360, 377, 2, 17, 377
                .byte 1, 0, 377, 2, 371, 377, 3, 200
                .byte 201, 360, 177, 377, 1, 3, 200, 377
                .byte 1, 374, 177, 377, 1, 7, 300, 377
                .byte 2, 17, 377, 1, 3, 377, 2, 370
                .byte 377, 3, 0, 6, 340, 377, 2, 7
                .byte 0, 376, 360, 377, 2, 17, 0, 377
                .byte 2, 337, 373, 377, 7, 360, 377, 1
                .byte 376, 17, 177, 0, 340, 377, 2, 17
                .byte 377, 1, 0, 360, 377, 1, 360, 37
                .byte 374, 37, 377, 1, 37, 377, 6, 3
                .byte 370, 0, 377, 2, 177, 3, 370, 200
                .byte 377, 3, 17, 370, 17, 370, 3, 376
                .byte 377, 10, 177, 0, 7, 340
Snd01:          .byte 377, 4, 200, 377, 1, 0, 0, 377
                .byte 1, 0, 377, 22, 0, 377, 1, 0
                .byte 0, 377, 1, 1, 377, 22, 0, 0
                .byte 0, 0, 377, 1, 17, 377, 20, 0
                .byte 376, 0, 0, 17, 0, 377, 20, 340
                .byte 377, 1, 0, 0, 0, 0, 377, 1
                .byte 77, 377, 16, 360, 377, 1, 0, 0
                .byte 0, 0, 377, 1, 177, 377, 16, 0
                .byte 377, 1, 0, 0, 0, 0, 0, 0
                .byte 37, 0, 0, 376, 377, 1, 0, 377
                .byte 2, 0, 376, 0, 0, 0, 174, 377
                .byte 1, 17, 377, 2, 0, 300, 0, 0
                .byte 0, 0, 17, 0, 377, 12, 360, 377
                .byte 1, 0, 0, 0, 0, 0, 0, 0
                .byte 0, 377, 1, 17, 200, 377, 1, 1
                .byte 0, 377, 2, 370, 377, 1, 0, 0
                .byte 377, 1, 77, 0, 370, 3, 0, 377
                .byte 2, 376, 377, 1, 0, 0, 77, 0
                .byte 377, 2, 0, 360, 7, 0, 377, 2
                .byte 7, 377, 7, 0, 376, 0, 0, 377
                .byte 1, 77, 0, 377, 1, 0, 0, 377
                .byte 1, 177, 1, 376, 377, 10, 0, 376
Snd02:          .byte 361, 377, 6, 137, 377, 12, 375, 377
                .byte 1, 101, 154, 272, 320, 377, 22, 0
                .byte 330, 0, 0, 377, 2, 177, 373, 377
                .byte 2, 277, 376, 377, 1, 277, 377, 10
                .byte 0, 360, 7, 0, 377, 4, 375, 377
                .byte 15, 0, 200, 1, 0, 377, 1, 375
                .byte 377, 20, 0, 200, 3, 0, 377, 20
                .byte 370, 377, 1, 0, 0, 377, 1, 0
                .byte 377, 4, 370, 377, 13, 340, 377, 1
                .byte 0, 0, 377, 1, 7, 377, 4, 360
                .byte 377, 2, 7, 377, 10, 0, 376, 0
                .byte 0, 377, 1, 177, 377, 4, 374, 377
                .byte 1, 177, 0, 377, 10, 0, 377, 1
                .byte 0, 0, 377, 1, 77, 200, 377, 2
                .byte 37, 377, 2, 0, 0, 377, 12, 0
                .byte 300, 17, 0, 377, 2, 177, 340, 377
                .byte 4, 37, 200, 377, 14, 0, 340, 3
                .byte 0, 377, 1, 1, 377, 1, 237, 377
                .byte 10
Snd03:          .byte 377, 4, 0, 376, 377, 1, 15, 377
                .byte 22, 0, 360, 377, 24, 77, 376, 377
                .byte 24, 300, 377, 1, 207, 377, 7, 360
                .byte 37, 37, 374, 376, 307, 307, 177, 377
                .byte 1, 374, 360, 207, 17, 376, 377, 1
                .byte 367, 377, 1, 37, 377, 7, 337, 377
                .byte 4, 374, 377, 1, 1, 14, 377, 1
                .byte 220, 377, 20, 0, 40, 377, 1, 3
                .byte 377, 16, 374, 377, 1, 0, 0, 377
                .byte 1, 1, 377, 3, 374, 377, 12, 0
                .byte 377, 1, 0, 0, 377, 1, 177, 377
                .byte 2, 0, 200, 377, 1, 177, 377, 10
                .byte 0, 370, 3, 0, 377, 4, 1, 0
                .byte 377, 1, 177, 377, 10, 0, 376, 0
                .byte 0, 377, 1, 177, 377, 2, 1, 360
                .byte 377, 14, 0, 70, 37, 0, 377, 24
                .byte 0, 376, 77, 0
Snd04:          .byte 377, 46, 277, 347, 377, 52, 341, 377
                .byte 7, 277, 377, 1, 371, 177, 310, 263
                .byte 377, 10, 200, 377, 1, 1, 10, 377
                .byte 1, 177, 377, 2, 313, 357, 377, 10
                .byte 375, 377, 1, 0, 340, 2, 0, 376
                .byte 77, 33, 330, 373, 373, 377, 6, 374
                .byte 377, 1, 0, 0, 23, 0, 377, 2
                .byte 0, 200, 377, 1, 17, 377, 6, 302
                .byte 377, 1, 0, 0, 377, 1, 7, 370
                .byte 377, 1, 0, 0, 377, 10, 360, 377
                .byte 1, 0, 0, 377, 1, 7, 376, 377
                .byte 1, 0, 0, 377, 10, 360, 377, 1
                .byte 0, 0, 377, 1, 37, 340, 377, 1
                .byte 7, 0, 377, 10, 376, 377, 1, 0
                .byte 140, 177, 0, 377, 2, 0, 200, 377
                .byte 1, 77, 377, 12, 300, 377, 1, 0
                .byte 0, 340, 1, 7, 360, 337, 17, 377
                .byte 14, 200, 377, 1, 0, 0
Snd05:          .byte 371, 377, 1, 61, 214, 377, 1, 34
                .byte 377, 20, 170, 377, 1, 41, 214, 377
                .byte 1, 34, 377, 4, 374, 377, 1, 237
                .byte 141, 377, 10, 200, 363, 0, 102, 377
                .byte 1, 317, 377, 4, 200, 361, 377, 1
                .byte 1, 377, 6, 347, 377, 1, 302, 20
                .byte 217, 1, 377, 4, 343, 375, 7, 10
                .byte 377, 1, 37, 377, 6, 200, 70, 14
                .byte 0, 377, 4, 361, 377, 1, 0, 14
                .byte 377, 1, 77, 377, 6, 204, 343, 1
                .byte 0, 377, 1, 237, 377, 2, 363, 377
                .byte 1, 217, 3, 377, 1, 77, 377, 6
                .byte 306, 371, 0, 0, 377, 1, 317, 377
                .byte 2, 201, 343, 373, 217, 347, 347, 303
                .byte 217, 377, 4, 376, 377, 1, 300, 160
                .byte 377, 1, 1, 377, 2, 34, 370, 377
                .byte 1, 177, 377, 2, 40, 70, 377, 6
                .byte 376, 377, 1, 0, 60, 377, 1, 3
                .byte 377, 2, 16, 70, 377, 2, 360, 377
                .byte 1, 3, 0, 377, 10, 20, 374, 377
                .byte 1, 0, 377, 2, 3, 16, 377, 2
                .byte 340, 377, 2, 0, 377, 12, 341, 377
                .byte 1, 7, 200, 377, 2, 0, 374, 377
                .byte 1, 177, 363, 377, 2, 341, 377, 14
                .byte 317, 377, 1, 207, 217, 377, 1, 337
                .byte 377, 6, 337, 377, 5
Snd06:          .byte 377, 10, 374, 377, 1, 0, 340, 23
                .byte 0, 377, 6, 177, 374, 377, 12, 0
                .byte 206, 1, 0, 377, 1, 77, 377, 4
                .byte 371, 374, 377, 12, 300, 160, 0, 0
                .byte 377, 1, 7, 377, 4, 203, 343, 377
                .byte 1, 217, 377, 10, 0, 303, 0, 0
                .byte 377, 1, 37, 377, 2, 233, 377, 1
                .byte 0, 0, 377, 1, 177, 377, 6, 360
                .byte 377, 1, 0, 200, 343, 0, 377, 2
                .byte 370, 377, 1, 0, 300, 347, 3, 377
                .byte 6, 317, 377, 1, 0, 0, 17, 0
                .byte 377, 2, 376, 377, 1, 14, 30, 377
                .byte 1, 37, 376, 377, 5, 360, 377, 1
                .byte 0, 200, 377, 1, 0, 377, 2, 0
                .byte 340, 7, 0, 377, 2, 2, 337, 377
                .byte 1, 37, 377, 2, 370, 377, 1, 0
                .byte 0, 377, 1, 7, 376, 377, 1, 0
                .byte 0, 377, 2, 160, 374, 103, 0, 377
                .byte 6, 0, 200, 177, 2, 370, 377, 1
                .byte 1, 0, 377, 2, 0, 314, 37, 0
                .byte 377, 6, 0, 376, 37, 0, 376, 377
                .byte 1, 0, 0, 377, 2, 200, 377, 1
                .byte 77, 0, 374, 377, 1, 77, 0, 377
                .byte 2, 360, 377, 1, 1, 0, 377, 2
                .byte 0, 300, 377, 1, 17, 340, 377, 1
                .byte 3, 0, 377, 2, 0, 200, 377, 4
                .byte 376, 377, 1, 0, 0, 377, 1, 77
                .byte 0, 0, 377, 1, 77, 0, 377, 1
                .byte 37, 0, 374, 377, 1, 77, 0, 377
                .byte 2
Snd07:          .byte 377, 4, 0, 374, 0, 0, 377, 4
                .byte 175, 20, 377, 2, 357, 377, 7, 374
                .byte 377, 1, 0, 100, 377, 1, 1, 377
                .byte 2, 1, 370, 377, 3, 375, 375, 377
                .byte 1, 373, 377, 5, 0, 300, 17, 0
                .byte 377, 2, 370, 363, 377, 2, 376, 371
                .byte 371, 376, 367, 367, 377, 4, 140, 370
                .byte 1, 0, 377, 2, 77, 377, 3, 177
                .byte 377, 1, 74, 137, 373, 373, 377, 4
                .byte 343, 377, 1, 0, 0, 376, 77, 75
                .byte 377, 3, 367, 347, 217, 347, 271, 77
                .byte 377, 1, 373, 357, 377, 3, 0, 200
                .byte 307, 0, 277, 377, 1, 363, 76, 367
                .byte 377, 1, 75, 377, 1, 371, 374, 377
                .byte 3, 376, 377, 1, 375, 74, 376, 20
                .byte 0, 360, 371, 237, 343, 177, 357, 377
                .byte 1, 375, 177, 377, 2, 376, 376, 377
                .byte 3, 237, 347, 0, 74, 77, 0, 177
                .byte 377, 3, 376, 377, 1, 363, 166, 337
                .byte 335, 177, 277, 377, 1, 375, 377, 2
                .byte 340, 377, 1, 0, 0, 376, 17, 375
                .byte 375, 357, 347, 367, 377, 1, 177, 376
                .byte 374, 374, 377, 1, 337, 177, 176, 377
                .byte 2, 140, 370, 7, 1, 377, 6, 77
                .byte 337, 376, 377, 1, 376, 375, 367, 377
                .byte 2, 376, 377, 2, 0, 360, 17, 0
                .byte 377, 6, 177, 236, 377, 1, 277, 376
                .byte 237, 347, 363, 377, 2, 363, 377, 1
                .byte 0, 204, 377, 1, 0, 377, 2, 300
                .byte 377, 2, 177, 337, 377, 1, 277, 237
                .byte 377, 10, 0, 300
Snd08:          .byte 265, 367, 377, 1, 277, 377, 1, 257
                .byte 377, 6, 0, 240, 373, 0, 377, 1
                .byte 373, 377, 2, 353, 377, 1, 257, 325
                .byte 175, 255, 277, 372, 377, 6, 0, 377
                .byte 1, 24, 0, 353, 177, 337, 377, 1
                .byte 177, 377, 1, 275, 377, 1, 125, 127
                .byte 337, 352, 377, 5, 277, 375, 377, 1
                .byte 0, 120, 325, 52, 177, 355, 377, 4
                .byte 152, 353, 252, 253, 377, 1, 367, 327
                .byte 177, 137, 377, 3, 0, 364, 45, 0
                .byte 266, 132, 377, 1, 132, 377, 3, 367
                .byte 127, 153, 377, 1, 257, 356, 377, 2
                .byte 137, 377, 2, 350, 377, 1, 0, 0
                .byte 137, 27, 367, 277, 377, 1, 177, 357
                .byte 377, 1, 267, 126, 125, 375, 377, 1
                .byte 252, 377, 6, 0, 300, 253, 0, 377
                .byte 1, 337, 377, 4, 352, 337, 267, 265
                .byte 137, 375, 377, 1, 327, 377, 4, 0
                .byte 376, 0, 0, 337, 176, 377, 4, 337
                .byte 377, 2, 365, 267, 333, 373, 377, 5
                .byte 364, 377, 1, 0, 0, 377, 1, 3
                .byte 377, 1, 337, 377, 4, 332, 375, 357
                .byte 275, 377, 1, 326, 377, 1, 375, 377
                .byte 4, 0, 100, 7, 0, 377, 15, 357
                .byte 377, 4, 350, 377, 1, 0, 0, 377
                .byte 1, 7, 377, 22, 0, 375, 0, 0
                .byte 377, 20
Snd09:          .byte 0, 370, 177, 0, 377, 4, 200, 377
                .byte 1, 0, 0, 377, 1, 143, 377, 4
                .byte 0, 260, 377, 1, 3, 377, 4, 0
                .byte 170, 3, 0, 377, 1, 77, 377, 2
                .byte 370, 377, 1, 1, 0, 377, 4, 314
                .byte 377, 1, 0, 0, 217, 1, 377, 4
                .byte 0, 360, 377, 1, 7, 377, 4, 0
                .byte 214, 1, 0, 377, 1, 237, 377, 2
                .byte 360, 377, 1, 17, 0, 377, 4, 214
                .byte 377, 1, 0, 0, 237, 3, 377, 2
                .byte 376, 377, 1, 1, 40, 377, 1, 257
                .byte 377, 2, 171, 377, 1, 0, 210, 1
                .byte 0, 377, 1, 77, 377, 2, 0, 376
                .byte 237, 1, 377, 4, 204, 171, 0, 0
                .byte 377, 1, 3, 377, 4, 0, 0, 377
                .byte 4, 274, 377, 1, 0, 304, 1, 0
                .byte 377, 4, 0, 374, 357, 0, 377, 4
                .byte 141, 316, 0, 0, 177, 0, 377, 2
                .byte 376, 377, 1, 0, 0, 377, 1, 17
                .byte 377, 4, 0, 161, 0, 0, 377, 1
                .byte 147, 377, 2, 170, 377, 1, 0, 0
                .byte 377, 1, 17, 377, 2, 347, 377, 1
                .byte 0, 70, 0, 0, 377, 1, 173, 377
                .byte 2, 200, 377, 1, 0, 0, 377, 1
                .byte 7, 377, 4, 140, 234, 0, 0, 377
                .byte 1, 7, 377, 2, 376, 377, 1, 0
                .byte 0, 37, 0, 377, 4, 371, 377, 1
                .byte 0, 304, 10, 0, 377, 4, 363, 377
                .byte 1, 0, 200, 177, 0, 377, 6, 0
                .byte 34, 0, 0, 377, 1, 17, 377, 4
                .byte 0, 30, 7, 0, 377, 6, 343, 375
Snd10:          .byte 0, 141, 77, 103, 377, 20, 0, 340
                .byte 1, 0, 377, 1, 237, 377, 16, 100
                .byte 374, 0, 0, 377, 1, 63, 377, 16
                .byte 306, 377, 1, 0, 0, 75, 103, 377
                .byte 16, 357, 377, 1, 204, 60, 214, 41
                .byte 277, 143, 377, 16, 20, 336, 0, 0
                .byte 167, 1, 377, 16, 375, 377, 1, 0
                .byte 304, 0, 0, 377, 20, 70, 377, 1
                .byte 0, 200, 307, 14, 377, 4, 367, 377
                .byte 1, 337, 377, 2, 375, 377, 1, 177
                .byte 377, 2, 347, 377, 1, 0, 20, 0
                .byte 0, 377, 4, 277, 377, 13, 0, 140
                .byte 0, 0, 377, 1, 73, 377, 11, 175
                .byte 377, 2, 376, 377, 1, 0, 140, 0
                .byte 0, 377, 1, 37, 377, 2, 161, 374
                .byte 377, 1, 207, 377, 6, 370, 377, 1
                .byte 0, 200, 3, 0, 377, 4, 0, 0
                .byte 377, 1, 77, 377, 6, 370, 377, 1
                .byte 0, 0, 77, 0, 377, 2, 300, 377
                .byte 1, 0, 0, 377, 4
Snd11:          .byte 377, 164, 360, 37, 321, 177, 377, 1
                .byte 375, 7, 376, 77, 377, 2, 127, 376
                .byte 57, 17, 174, 374, 360, 200, 377, 1
                .byte 17, 376, 370, 201, 340, 37, 37, 374
                .byte 376, 340, 340, 17, 17, 377, 1, 77
                .byte 370, 374, 207, 341, 177, 377, 2, 37
                .byte 4, 177, 367, 57, 300, 17, 377, 2
                .byte 317, 277, 377, 1, 37, 360, 77, 374
                .byte 300, 37, 37, 370, 360, 203, 77, 177
                .byte 375, 1, 201, 377, 1, 77, 360, 370
                .byte 207, 17, 177, 371, 377, 1, 17, 374
                .byte 374, 341, 17, 76, 370, 343, 357, 370
                .byte 370, 17, 17, 374, 374, 361, 3, 357
                .byte 377, 2, 161, 341, 376, 377, 1, 203
                .byte 177, 360, 377, 1, 203, 37, 176, 370
                .byte 377, 1, 147, 270, 375, 343, 177, 17
                .byte 374, 301, 377, 1, 76, 360, 343, 377
                .byte 1, 177, 363, 361, 3, 363, 357, 1
                .byte 77, 177, 340, 370, 37, 7, 376, 377
                .byte 1, 303, 177, 174, 377, 1, 360
Snd12:          .byte 0, 0, 177, 0, 377, 2, 0, 376
                .byte 0, 0, 377, 6, 300, 377, 1, 0
                .byte 0, 377, 1, 0, 377, 2, 0, 360
                .byte 377, 1, 1, 377, 6, 0, 360, 0
                .byte 0, 377, 1, 17, 377, 2, 3, 0
                .byte 377, 6, 370, 377, 1, 0, 0, 17
                .byte 0, 377, 2, 364, 377, 2, 177, 377
                .byte 6, 0, 0, 0, 0, 377, 1, 177
                .byte 374, 377, 2, 7, 377, 6, 0, 300
                .byte 0, 0, 377, 1, 37, 377, 12, 0
                .byte 360, 0, 0, 377, 1, 17, 377, 12
                .byte 0, 370, 0, 0, 377, 1, 7, 377
                .byte 2, 0, 340, 377, 6, 0, 370, 0
                .byte 0, 377, 1, 7, 377, 2, 0, 360
                .byte 377, 1, 3, 377, 4, 0, 376, 0
                .byte 0, 377, 1, 1, 377, 2, 0, 374
                .byte 17, 0, 377, 4, 370, 377, 1, 0
                .byte 0, 17, 0, 377, 2, 360, 377, 1
                .byte 0, 0, 377, 1, 37, 377, 4, 0
                .byte 340, 0, 0, 377, 2, 374, 377, 1
                .byte 0, 0, 377, 1, 17, 377, 4, 340
                .byte 377, 1, 0, 0, 377, 1, 37, 374
                .byte 377, 1, 0, 0, 377, 1, 3, 377
                .byte 1, 200, 377, 4, 360, 377, 1, 0
                .byte 0, 377, 1, 17, 370, 377, 1, 37
                .byte 0, 370, 17, 0, 0, 377, 1, 177
                .byte 377, 4, 0, 377, 1, 0, 0, 377
                .byte 2, 0, 376, 37, 0, 200, 377, 1
                .byte 17, 0, 377, 10, 0, 340
Snd13:          .byte 0, 0, 377, 16, 0, 0, 0, 0
                .byte 377, 1, 0, 377, 14, 0, 300, 0
                .byte 0, 77, 0, 377, 14, 0, 300, 0
                .byte 0, 77, 0, 377, 14, 0, 340, 0
                .byte 0, 77, 0, 377, 14, 0, 360, 0
                .byte 0, 77, 0, 377, 14, 0, 370, 0
                .byte 0, 37, 0, 377, 14, 0, 376, 0
                .byte 0, 3, 0, 377, 14, 374, 377, 1
                .byte 0, 0, 0, 0, 377, 1, 37, 377
                .byte 14, 0, 374, 0, 0, 3, 0, 377
                .byte 16, 0, 360, 0, 0, 37, 0, 377
                .byte 4, 360, 377, 1, 37, 0, 377, 6
                .byte 0, 360, 0, 0, 377, 1, 37, 377
                .byte 4, 0, 200, 377, 1, 3, 377, 6
                .byte 0, 340, 3, 0, 340, 377, 3, 376
                .byte 377, 1, 0, 0, 377, 1, 17, 377
                .byte 10, 200, 377, 1, 0, 0, 7, 75
                .byte 377, 4, 300, 377, 1, 1, 34, 377
                .byte 2
Snd14:          .byte 377, 6, 360, 377, 1, 0, 0, 0
                .byte 0, 377, 16, 0, 340, 0, 0, 377
                .byte 1, 1, 377, 14, 0, 370, 0, 0
                .byte 77, 0, 377, 14, 0, 340, 0, 0
                .byte 377, 1, 0, 377, 14, 0, 300, 0
                .byte 0, 377, 1, 3, 377, 14, 0, 0
                .byte 0, 0, 377, 1, 37, 377, 12, 360
                .byte 377, 1, 0, 0, 3, 0, 377, 4
                .byte 201, 377, 7, 0, 377, 1, 0, 0
                .byte 177, 0, 377, 4, 0, 0, 377, 1
                .byte 37, 377, 4, 0, 370, 0, 0, 377
                .byte 1, 3, 377, 2, 370, 377, 1, 0
                .byte 0, 377, 1, 37, 377, 2, 376, 377
                .byte 1, 0, 0, 30, 0, 377, 4, 0
                .byte 200, 177, 0, 377, 4, 0, 300, 360
                .byte 1, 1, 376, 377, 2, 374, 377, 1
                .byte 0, 0, 377, 1, 77, 377, 4, 0
                .byte 360, 376, 0, 340, 177, 77, 377, 3
                .byte 0, 0, 377, 1, 17, 377, 4, 300
                .byte 377, 1, 7, 0, 376, 377, 1, 343
                .byte 1, 377, 2, 0, 370, 377, 1, 0
                .byte 377, 6, 0, 340, 377, 1, 7, 0
                .byte 376, 177, 60, 377, 2, 0, 0, 377
                .byte 1, 177, 377, 6
Snd15:          .byte 0, 0, 377, 2, 0, 340, 377, 1
                .byte 37, 377, 2, 0, 360, 377, 1, 7
                .byte 360, 377, 2, 3, 377, 2, 0, 0
                .byte 377, 1, 177, 0, 370, 377, 1, 3
                .byte 377, 2, 0, 360, 377, 1, 7, 300
                .byte 377, 2, 7, 374, 377, 1, 1, 0
                .byte 377, 2, 0, 300, 377, 1, 37, 377
                .byte 2, 0, 0, 377, 2, 0, 370, 377
                .byte 2, 200, 377, 1, 77, 0, 370, 377
                .byte 1, 3, 0, 377, 2, 200, 377, 1
                .byte 77, 0, 376, 377, 1, 77, 0, 377
                .byte 2, 0, 340, 377, 1, 7, 0, 377
                .byte 1, 177, 0, 377, 2, 0, 200, 377
                .byte 1, 37, 0, 376, 377, 1, 37, 374
                .byte 377, 1, 0, 0, 377, 2, 0, 300
                .byte 377, 1, 77, 0, 377, 1, 17, 0
                .byte 377, 2, 7, 0, 377, 2, 200, 377
                .byte 1, 37, 0, 374, 377, 1, 7, 0
                .byte 377, 2, 0, 0, 377, 1, 7, 300
                .byte 377, 2, 1, 377, 2, 0, 374, 377
                .byte 1, 0, 300, 377, 1, 177, 0, 360
                .byte 377, 1, 0, 0, 377, 1, 77, 0
                .byte 376, 377, 1, 17, 377, 2, 0, 377
                .byte 1, 177, 0, 300, 377, 1, 177, 0
                .byte 300, 377, 1, 77, 0, 377, 1, 237
                .byte 0, 377, 2, 7, 377, 2, 360, 377
                .byte 1, 17, 0, 360, 377, 1, 37, 0
                .byte 370, 377, 1, 77, 0, 377, 2, 340
                .byte 377, 2, 1, 377, 4, 0, 360, 377
                .byte 1, 37, 0, 340, 377, 1, 177, 0
                .byte 340, 377, 1, 177, 374, 377, 1, 77
                .byte 0, 377, 6, 0, 0, 377, 2, 3
                .byte 0, 377, 2, 0, 0, 377, 1, 177
                .byte 0, 370, 377, 1, 177, 177, 377, 3
                .byte 376, 377, 1, 0, 0, 377, 2, 3
                .byte 0, 377, 2, 0, 0, 377, 2, 1
                .byte 300, 377, 2, 17, 200
Snd16:          .byte 377, 122, 77, 375, 374, 375, 377, 20
                .byte 374, 377, 1, 0, 0, 0, 0, 7
                .byte 0, 377, 1, 207, 377, 6, 340, 377
                .byte 13, 37, 374, 377, 20, 277, 377, 1
                .byte 17, 374, 37, 374, 377, 3, 360, 377
                .byte 4, 37, 376, 377, 1, 374, 377, 10
                .byte 307, 377, 13, 217, 377, 1, 317, 377
                .byte 1, 17, 374, 377, 104
Snd17:          .byte 377, 24, 376, 377, 1, 1, 0, 377
                .byte 2, 37, 376, 377, 2, 201, 377, 13
                .byte 0, 0, 376, 37, 0, 32, 377, 1
                .byte 17, 17, 370, 377, 10, 360, 377, 1
                .byte 1, 0, 300, 377, 1, 7, 0, 377
                .byte 14, 300, 377, 1, 7, 0, 377, 2
                .byte 1, 306, 377, 16, 376, 377, 1, 340
                .byte 0, 0, 7, 377, 20, 360, 377, 1
                .byte 0, 0, 376, 377, 1, 0, 160, 377
                .byte 1, 177, 17, 376, 377, 10, 0, 360
                .byte 377, 1, 1, 360, 377, 1, 77, 0
                .byte 377, 14, 340, 377, 1, 374, 3, 340
                .byte 377, 2, 175, 377, 20, 0, 360, 7
                .byte 0, 377, 7, 343, 377, 12, 0, 360
                .byte 177, 0, 377, 3, 3, 377, 2, 217
                .byte 377, 11, 360, 377, 1, 1, 0, 377
                .byte 2, 0, 340, 377, 2, 0, 374, 377
                .byte 1, 17, 377, 12, 6, 300, 376, 3
                .byte 377, 2
Snd18:          .byte 377, 54, 365, 177, 377, 1, 365, 377
                .byte 2, 372, 377, 1, 277, 256, 375, 377
                .byte 1, 177, 365, 173, 365, 157, 277, 137
                .byte 365, 377, 1, 327, 276, 353, 375, 373
                .byte 367, 353, 253, 372, 376, 375, 132, 357
                .byte 167, 155, 276, 352, 127, 377, 1, 372
                .byte 277, 177, 173, 365, 152, 252, 252, 345
                .byte 127, 255, 275, 265, 126, 256, 377, 1
                .byte 373, 353, 365, 124, 326, 366, 135, 165
                .byte 176, 375, 127, 365, 325, 267, 273, 252
                .byte 337, 327, 366, 375, 373, 377, 1, 152
                .byte 357, 172, 135, 127, 325, 277, 266, 177
                .byte 327, 325, 323, 267, 366, 366, 332, 326
                .byte 165, 377, 1, 332, 175, 137, 365, 365
                .byte 272, 372, 166, 377, 1, 257, 176, 372
                .byte 366, 377, 1, 125, 377, 1, 257, 377
                .byte 1, 255, 133, 355, 257, 245, 136, 257
                .byte 172, 153, 152, 175, 176, 125, 367, 125
                .byte 375, 257, 175, 375, 177, 353, 267, 326
                .byte 336, 57, 365, 173, 356, 377, 1, 177
                .byte 325, 257, 255, 377, 1, 367, 125, 335
                .byte 257, 353, 177, 255, 372, 177, 165, 137
                .byte 352, 366, 177, 257, 136, 275, 266, 52
                .byte 165, 325, 255, 327, 373, 257, 175, 265
                .byte 175, 133, 375, 156, 256, 157, 175, 375
                .byte 375, 336, 366, 127, 177, 265, 355, 353
                .byte 377, 1, 173, 257, 332, 332, 357, 376
                .byte 322, 365, 166, 272, 252, 372, 332, 325
                .byte 177, 165, 365, 133, 133, 257, 365, 222
                .byte 322
Snd19:          .byte 324, 124, 237, 0, 155, 321, 324, 364
                .byte 150, 357, 377, 1, 57, 377, 2, 240
                .byte 377, 1, 365, 107, 277, 377, 1, 176
                .byte 340, 245, 377, 1, 362, 301, 377, 2
                .byte 375, 207, 237, 177, 244, 377, 1, 220
                .byte 12, 377, 1, 351, 313, 337, 377, 1
                .byte 345, 371, 103, 377, 1, 370, 377, 2
                .byte 300, 377, 1, 57, 370, 373, 0, 337
                .byte 377, 1, 375, 377, 1, 13, 176, 377
                .byte 1, 327, 377, 2, 217, 367, 236, 317
                .byte 372, 33, 377, 1, 277, 176, 377, 1
                .byte 240, 237, 177, 0, 373, 377, 1, 277
                .byte 377, 5, 257, 353, 377, 2, 353, 377
                .byte 1, 375, 307, 377, 1, 375, 377, 1
                .byte 367, 357, 357, 371, 377, 4, 366, 377
                .byte 2, 370, 375, 337, 377, 1, 235, 137
                .byte 377, 1, 373, 377, 4, 337, 377, 2
                .byte 357, 37, 376, 377, 1, 267, 377, 13
                .byte 357, 377, 170
Snd20:          .byte 377, 1, 3, 377, 10, 0, 0, 177
                .byte 0, 377, 2, 200, 377, 1, 0, 0
                .byte 177, 0, 377, 6, 0, 370, 1, 0
                .byte 377, 2, 376, 377, 1, 0, 0, 7
                .byte 0, 377, 6, 340, 377, 1, 0, 0
                .byte 377, 1, 7, 377, 2, 0, 370, 0
                .byte 0, 377, 1, 77, 377, 6, 0, 0
                .byte 37, 0, 377, 2, 300, 377, 1, 0
                .byte 0, 177, 0, 377, 6, 0, 374, 0
                .byte 0, 377, 1, 177, 377, 2, 0, 0
                .byte 3, 0, 377, 6, 374, 377, 1, 0
                .byte 0, 177, 0, 377, 2, 0, 377, 1
                .byte 0, 0, 377, 1, 1, 377, 6, 0
                .byte 374, 0, 0, 377, 1, 77, 377, 2
                .byte 0, 300, 0, 0, 377, 1, 177, 377
                .byte 6, 0, 300, 3, 0, 377, 2, 374
                .byte 377, 1, 0, 0, 17, 0, 377, 10
                .byte 0, 0, 17, 0, 377, 2, 340, 377
                .byte 1, 0, 0, 37, 0, 377, 6, 374
                .byte 377, 1, 0, 0, 177, 0, 377, 2
                .byte 200, 377, 1, 0, 0, 177, 0, 377
                .byte 6, 370, 377, 1, 0, 0, 377, 1
                .byte 0, 377, 2, 0, 377, 1, 0, 0
                .byte 177, 0, 377, 6, 374, 377, 1, 0
                .byte 0, 177, 0, 377, 2, 0, 377, 1
                .byte 0, 0, 3, 0, 377, 6, 376, 377
                .byte 1, 0, 0, 77, 0, 377, 2, 200
                .byte 377, 1, 0, 0, 1, 0, 377, 6
Snd21:          .byte 357, 377, 1, 313, 373, 377, 13, 337
                .byte 377, 6, 25, 370, 177, 320, 377, 1
                .byte 203, 377, 2, 375, 377, 1, 200, 37
                .byte 377, 2, 367, 377, 5, 372, 377, 1
                .byte 107, 4, 200, 302, 375, 177, 367, 377
                .byte 3, 354, 37, 7, 377, 2, 374, 377
                .byte 2, 340, 341, 7, 37, 377, 2, 200
                .byte 377, 1, 2, 321, 377, 1, 76, 377
                .byte 2, 373, 377, 1, 360, 361, 30, 0
                .byte 17, 50, 377, 1, 372, 45, 340, 16
                .byte 200, 377, 4, 137, 320, 17, 0, 247
                .byte 307, 75, 77, 375, 353, 377, 1, 37
                .byte 376, 377, 1, 0, 0, 176, 110, 377
                .byte 1, 137, 277, 377, 1, 200, 241, 377
                .byte 1, 361, 337, 377, 3, 277, 303, 176
                .byte 370, 0, 360, 20, 0, 327, 307, 377
                .byte 2, 373, 377, 1, 342, 207, 340, 332
                .byte 107, 204, 176, 370, 325, 370, 377, 5
                .byte 376, 373, 360, 0, 0, 377, 1, 141
                .byte 377, 1, 257, 345, 333, 347, 307, 137
                .byte 252, 14, 204, 270, 0, 176, 376, 2
                .byte 256, 177, 74, 377, 2, 21, 337, 64
                .byte 357, 277, 317, 133, 312, 337, 377, 1
                .byte 364, 377, 1, 30, 322, 7, 0, 377
                .byte 10, 200, 345, 6, 0, 0, 1, 0
                .byte 0, 0, 0, 274, 277, 377, 2, 277
                .byte 376, 257, 377, 5, 67, 377, 2, 217
                .byte 175, 374, 365, 375, 275, 277, 376, 377
                .byte 1, 321, 37, 136, 345, 277, 327, 137
                .byte 217, 376, 67, 377, 2, 7, 257, 357
                .byte 37, 377, 2, 141, 174, 307, 367
Snd22:          .byte 377, 2, 367, 377, 4, 367, 377, 1
                .byte 337, 377, 2, 300, 377, 4, 360, 377
                .byte 2, 201, 357, 377, 4, 77, 360, 37
                .byte 374, 177, 360, 377, 1, 343, 374, 7
                .byte 370, 37, 357, 377, 1, 37, 370, 1
                .byte 374, 377, 2, 370, 377, 1, 37, 376
                .byte 77, 370, 77, 340, 377, 1, 300, 376
                .byte 7, 203, 17, 340, 377, 1, 17, 376
                .byte 77, 370, 37, 360, 207, 377, 1, 37
                .byte 374, 37, 360, 17, 377, 1, 303, 377
                .byte 1, 17, 360, 37, 360, 37, 360, 377
                .byte 1, 371, 377, 1, 1, 7, 376, 3
                .byte 377, 1, 37, 370, 17, 374, 77, 370
                .byte 377, 1, 300, 377, 1, 372, 300, 37
                .byte 203, 377, 1, 7, 376, 77, 370, 177
                .byte 340, 374, 377, 2, 17, 341, 377, 1
                .byte 7, 376, 377, 1, 374, 377, 1, 177
                .byte 77, 300, 377, 1, 300, 374, 7, 374
                .byte 37, 377, 1, 17, 377, 1, 201, 221
                .byte 147, 303, 377, 1, 177, 374, 377, 1
                .byte 361, 370, 77, 277, 77, 37, 374, 234
                .byte 371, 377, 2, 374, 203, 360, 17, 361
                .byte 77, 7, 377, 1, 376, 377, 1, 370
                .byte 357, 377, 1, 5, 370, 77, 360, 77
                .byte 303, 377, 1, 77, 377, 1, 200, 377
                .byte 2, 177, 377, 1, 307, 377, 1, 321
                .byte 3, 377, 1, 3, 376, 377, 2, 177
                .byte 341, 376, 203, 370, 17, 301, 177, 217
                .byte 377, 2, 364, 376, 307, 377, 1, 77
                .byte 177, 377, 2, 217, 377, 2, 374, 207
                .byte 377, 1, 37, 17, 377, 4, 7, 307
                .byte 37, 377, 3, 376, 377, 1, 301, 341
                .byte 377, 1, 353, 377, 1, 347, 377, 4
                .byte 373, 377, 2, 376, 217, 370, 37, 340
                .byte 77, 203, 377, 1, 17, 376, 37, 370
                .byte 377, 1, 340, 377, 1, 201, 377, 1
                .byte 277
Snd23:          .byte 377, 111, 337, 377, 14, 277, 373, 377
                .byte 13, 357, 377, 1, 337, 336, 175, 356
                .byte 353, 325, 377, 1, 135, 377, 2, 277
                .byte 136, 125, 275, 172, 177, 367, 126, 315
                .byte 325, 373, 275, 252, 353, 125, 125, 325
                .byte 325, 352, 253, 252, 352, 372, 137, 125
                .byte 153, 275, 265, 327, 177, 325, 325, 335
                .byte 255, 252, 125, 125, 253, 252, 253, 252
                .byte 253, 52, 355, 136, 336, 332, 267, 327
                .byte 127, 255, 251, 124, 252, 252, 155, 165
                .byte 266, 327, 257, 132, 246, 252, 325, 126
                .byte 132, 65, 327, 252, 326, 352, 126, 165
                .byte 353, 275, 252, 126, 273, 176, 125, 153
                .byte 327, 266, 252, 132, 227, 336, 132, 125
                .byte 257, 276, 156, 257, 133, 355, 133, 265
                .byte 337, 335, 327, 337, 376, 367, 366, 333
                .byte 277, 255, 157, 257, 353, 365, 257, 355
                .byte 353, 333, 356, 356, 267, 337, 377, 2
                .byte 375, 377, 2, 177, 375, 377, 4, 277
                .byte 377, 4, 177, 377, 15
Snd24:          .byte 363, 341, 34, 76, 363, 370, 216, 357
                .byte 377, 1, 173, 166, 371, 233, 343, 76
                .byte 337, 263, 371, 366, 314, 74, 331, 270
                .byte 347, 236, 227, 343, 170, 77, 303, 166
                .byte 230, 160, 216, 232, 347, 70, 313, 217
                .byte 303, 17, 374, 56, 73, 141, 62, 76
                .byte 217, 263, 161, 333, 145, 155, 36, 363
                .byte 62, 247, 117, 146, 73, 316, 315, 353
                .byte 315, 171, 74, 161, 347, 216, 317, 60
                .byte 72, 147, 163, 174, 76, 263, 361, 333
                .byte 314, 141, 14, 363, 323, 166, 237, 266
                .byte 363, 314, 347, 227, 163, 344, 146, 237
                .byte 231, 236, 31, 213, 71, 263, 75, 77
                .byte 147, 314, 356, 31, 317, 316, 161, 162
                .byte 354, 217, 367, 346, 157, 231, 263, 234
                .byte 63, 374, 376, 303, 345, 341, 372, 373
                .byte 47, 347, 363, 63, 366, 370, 314, 361
                .byte 371, 154, 366, 317, 331, 74, 316, 361
                .byte 371, 307, 317, 174, 74, 306, 375, 317
                .byte 341, 73, 347, 316, 147, 374, 160, 343
                .byte 361, 363, 341, 373, 174, 176, 76, 364
                .byte 174, 236, 377, 1, 355, 164, 207, 177
                .byte 303, 303, 236, 116, 157, 74, 217, 237
                .byte 237, 237, 237, 217, 367, 377, 1, 217
                .byte 147, 77, 77, 16, 16, 173, 70, 377
                .byte 2, 317, 355, 376, 367, 237, 371, 347
                .byte 37, 376, 347, 373, 374, 376, 377, 1
                .byte 376, 371, 176, 170, 377, 1, 177, 237
                .byte 77, 77, 36, 77, 77, 77, 377, 7
                .byte 77, 177, 377, 1, 277, 377, 1, 371
                .byte 177, 376, 367, 377, 23
Snd25:          .byte 377, 1, 376, 377, 2, 371, 337, 343
                .byte 377, 3, 177, 361, 377, 1, 277, 377
                .byte 4, 375, 317, 366, 377, 1, 373, 377
                .byte 2, 375, 377, 2, 177, 370, 377, 1
                .byte 371, 363, 377, 2, 363, 367, 177, 371
                .byte 371, 376, 377, 2, 177, 377, 1, 37
                .byte 346, 77, 370, 374, 147, 376, 377, 1
                .byte 217, 377, 3, 373, 377, 1, 77, 371
                .byte 377, 1, 176, 377, 1, 345, 377, 1
                .byte 17, 374, 377, 1, 361, 370, 307, 377
                .byte 1, 174, 376, 340, 360, 37, 307, 377
                .byte 2, 340, 367, 377, 1, 61, 277, 223
                .byte 377, 1, 17, 372, 177, 176, 363, 37
                .byte 376, 335, 3, 177, 307, 317, 177, 77
                .byte 375, 161, 370, 237, 374, 375, 203, 177
                .byte 176, 347, 77, 171, 77, 167, 360, 147
                .byte 177, 374, 337, 37, 374, 303, 301, 77
                .byte 7, 77, 376, 301, 376, 330, 376, 17
                .byte 360, 37, 7, 377, 1, 37, 367, 376
                .byte 263, 340, 177, 7, 376, 157, 374, 76
                .byte 207, 343, 37, 146, 76, 17, 374, 277
                .byte 7, 376, 340, 176, 316, 77, 176, 366
                .byte 207, 74, 176, 77, 77, 363, 217, 356
                .byte 343, 334, 137, 215, 217, 137, 274, 217
                .byte 273, 76, 342, 170, 76, 156, 316, 177
                .byte 334, 360, 77, 203, 177, 107, 376, 177
                .byte 340, 371, 303, 303, 37, 357, 376, 374
                .byte 305, 7, 77, 77, 170, 277, 17, 314
                .byte 37, 37, 376, 376, 340, 374, 235, 376
                .byte 307, 340, 157, 7, 376, 17, 376, 76
                .byte 374, 363, 316, 370, 235, 341, 377, 1
                .byte 346, 377, 1, 340, 77, 207, 377, 1
                .byte 243, 177, 307, 237, 167, 376, 177, 361
                .byte 77, 77, 370, 77, 360, 375, 347, 335
                .byte 77, 74
Snd26:          .byte 277, 317, 216, 277, 372, 171, 233, 317
                .byte 357, 237, 174, 236, 343, 361, 74, 37
                .byte 333, 367, 363, 171, 36, 317, 343, 174
                .byte 74, 316, 163, 334, 56, 316, 361, 74
                .byte 316, 307, 170, 236, 217, 303, 370, 74
                .byte 307, 371, 70, 36, 376, 162, 273, 365
                .byte 34, 117, 30, 373, 147, 343, 71, 236
                .byte 341, 371, 307, 246, 155, 76, 373, 174
                .byte 357, 236, 216, 147, 361, 170, 317, 307
                .byte 176, 34, 363, 271, 34, 216, 341, 361
                .byte 34, 307, 163, 162, 71, 306, 37, 147
                .byte 163, 175, 333, 307, 170, 76, 363, 371
                .byte 171, 236, 360, 371, 236, 317, 63, 317
                .byte 74, 216, 147, 337, 36, 237, 161, 174
                .byte 317, 347, 76, 35, 216, 163, 331, 171
                .byte 236, 303, 261, 170, 37, 233, 231, 70
                .byte 347, 343, 162, 74, 206, 344, 147, 346
                .byte 70, 236, 317, 347, 75, 36, 14, 347
                .byte 316, 357, 266, 174, 331, 166, 346, 330
                .byte 317, 171, 164, 166, 331, 263, 274, 233
                .byte 363, 374, 317, 343, 375, 34, 372, 174
                .byte 363, 333, 34, 216, 74, 74, 361, 271
                .byte 261, 333, 336, 323, 366, 155, 363, 355
                .byte 371, 260, 266, 363, 170, 234, 347, 343
                .byte 236, 75, 351, 160, 216, 237, 346, 170
                .byte 374, 316, 374, 334, 347, 317, 177, 36
                .byte 355, 376, 347, 373, 371, 360, 363, 337
                .byte 316, 257, 171, 170, 363, 360, 347, 314
                .byte 370, 70, 361, 361, 31, 306, 61, 174
                .byte 237, 217, 363, 76, 343, 331, 73, 217
                .byte 162, 174, 147, 314, 337, 316, 366, 35
                .byte 317, 343, 77, 37, 370, 177, 376, 371
                .byte 370, 370, 234, 347
Snd27:          .byte 377, 10, 0, 370, 3, 0, 377, 4
                .byte 0, 376, 17, 0, 377, 10, 0, 0
                .byte 77, 0, 377, 4, 0, 200, 377, 1
                .byte 0, 377, 6, 360, 377, 1, 0, 0
                .byte 377, 1, 0, 377, 2, 374, 377, 1
                .byte 0, 0, 377, 1, 7, 377, 6, 0
                .byte 377, 1, 0, 0, 377, 1, 3, 377
                .byte 2, 360, 377, 1, 0, 0, 377, 1
                .byte 37, 377, 6, 0, 374, 0, 0, 377
                .byte 1, 7, 377, 2, 340, 377, 1, 0
                .byte 0, 377, 1, 177, 377, 6, 0, 374
                .byte 0, 0, 377, 1, 17, 377, 2, 340
                .byte 377, 1, 0, 0, 377, 1, 77, 377
                .byte 6, 0, 374, 0, 0, 377, 1, 3
                .byte 377, 2, 360, 377, 1, 0, 0, 377
                .byte 1, 17, 377, 6, 200, 377, 1, 0
                .byte 0, 377, 1, 0, 377, 4, 0, 0
                .byte 377, 1, 1, 377, 6, 360, 377, 1
                .byte 0, 0, 17, 0, 377, 4, 0, 340
                .byte 17, 0, 377, 10, 0, 0, 0, 0
                .byte 377, 4, 0, 376, 0, 0, 377, 10
                .byte 0, 360, 0, 0, 377, 1, 17, 377
                .byte 2, 360, 377, 1, 0, 0, 377, 1
                .byte 7, 377, 6, 200, 377, 1, 0, 0
                .byte 77, 0, 377, 4, 0, 200, 17, 0
                .byte 377, 10, 0, 0, 0, 0, 377, 1
                .byte 177, 377, 2, 200, 377, 1
Snd28:          .byte 360, 361, 177, 300, 377, 2, 0, 74
                .byte 377, 1, 37, 377, 12, 341, 370, 347
                .byte 200, 174, 376, 160, 370, 377, 1, 77
                .byte 317, 377, 1, 17, 0, 377, 2, 361
                .byte 361, 377, 10, 70, 34, 377, 1, 34
                .byte 217, 377, 1, 17, 6, 377, 2, 100
                .byte 374, 377, 1, 1, 374, 377, 1, 77
                .byte 0, 377, 6, 374, 377, 1, 340, 160
                .byte 377, 1, 171, 20, 276, 177, 30, 377
                .byte 2, 0, 300, 377, 1, 177, 340, 377
                .byte 2, 0, 377, 6, 374, 377, 1, 340
                .byte 160, 377, 2, 0, 236, 177, 34, 377
                .byte 2, 0, 200, 377, 2, 0, 370, 377
                .byte 1, 7, 377, 10, 70, 34, 377, 1
                .byte 177, 200, 347, 37, 7, 374, 377, 1
                .byte 40, 340, 377, 2, 0, 374, 377, 1
                .byte 37, 377, 3, 343, 377, 4, 303, 341
                .byte 377, 1, 217, 70, 376, 171, 170, 377
                .byte 2, 3, 317, 377, 1, 37, 300, 377
                .byte 2, 0, 377, 2, 177, 376, 377, 4
                .byte 303, 377, 1, 37, 16, 374, 377, 1
                .byte 360, 341, 377, 1, 347, 36, 377, 1
                .byte 177, 36, 370, 377, 1, 17, 0, 377
                .byte 12, 30, 14, 377, 1, 77, 341, 377
                .byte 2, 307, 377, 2, 77, 376, 377, 2
                .byte 1, 340, 377, 12, 16, 377, 1, 37
                .byte 30, 377, 2, 303, 341, 377, 2, 276
                .byte 377, 2, 37, 340, 377, 2, 7, 377
                .byte 11, 376, 340, 370
Snd29:          .byte 0, 342, 1, 0, 377, 20, 370, 377
                .byte 1, 0, 0, 377, 1, 4, 377, 20
                .byte 0, 230, 1, 0, 377, 1, 77, 377
                .byte 16, 361, 377, 1, 0, 0, 177, 0
                .byte 377, 20, 0, 160, 0, 0, 377, 1
                .byte 77, 377, 16, 340, 375, 0, 0, 77
                .byte 0, 377, 4, 77, 377, 11, 300, 371
                .byte 0, 0, 77, 0, 377, 4, 375, 377
                .byte 11, 0, 300, 0, 0, 377, 1, 37
                .byte 377, 2, 201, 377, 2, 7, 377, 6
                .byte 0, 377, 1, 0, 0, 377, 1, 1
                .byte 377, 2, 340, 377, 1, 17, 0, 377
                .byte 6, 374, 377, 1, 0, 0, 3, 0
                .byte 377, 2, 362, 377, 1, 0, 0, 377
                .byte 1, 37, 377, 6, 0, 360, 0, 0
                .byte 377, 1, 17, 377, 2, 0, 340, 37
                .byte 0, 377, 10, 0, 200, 0, 0, 377
                .byte 4, 0, 340, 77, 0, 377, 10, 0
                .byte 340, 0, 0, 377, 1, 177, 377, 2
                .byte 200, 377, 1, 17, 0, 377, 10
Snd30:          .byte 377, 7, 277, 377, 20, 374, 377, 1
                .byte 20, 300, 377, 1, 237, 377, 22, 0
                .byte 70, 37, 0, 377, 22, 40, 376, 3
                .byte 0, 377, 6, 3, 0, 377, 12, 0
                .byte 300, 7, 0, 377, 4, 204, 361, 7
                .byte 0, 377, 10, 100, 170, 0, 0, 377
                .byte 2, 376, 377, 1, 0, 340, 77, 30
                .byte 377, 10, 0, 214, 17, 0, 377, 2
                .byte 0, 374, 37, 1, 375, 377, 1, 0
                .byte 340, 377, 1, 177, 377, 4, 0, 4
                .byte 377, 1, 16, 301, 377, 1, 3, 0
                .byte 377, 2, 0, 70, 377, 1, 161, 377
                .byte 3, 277, 377, 2, 0, 0, 377, 1
                .byte 37, 0, 360, 377, 1, 1, 370, 377
                .byte 1, 103, 0, 374, 377, 1, 77, 0
                .byte 377, 2, 343, 377, 1, 303, 0, 377
                .byte 2, 7, 0, 377, 1, 77, 1, 300
                .byte 361, 377, 1, 307, 201, 277, 377, 5
                .byte 1, 360, 377, 1, 17, 0, 300, 377
                .byte 1, 77, 1, 300, 376, 377, 1, 37
                .byte 0, 200, 377, 2, 3, 377, 4, 343
                .byte 1, 300, 377, 2, 3, 0, 374, 377
                .byte 1, 37, 17, 300, 0, 376, 370, 37
                .byte 377, 1, 61, 377, 2, 237, 377, 1
                .byte 361, 1, 0, 376
Snd31:          .byte 377, 6, 0, 377, 1, 0, 0, 377
                .byte 1, 77, 377, 20, 0, 360, 1, 0
                .byte 377, 22, 0, 370, 37, 0, 377, 22
                .byte 360, 377, 1, 1, 0, 377, 22, 0
                .byte 216, 30, 0, 377, 2, 363, 377, 13
                .byte 360, 377, 1, 1, 0, 377, 1, 77
                .byte 340, 377, 1, 0, 0, 0, 0, 377
                .byte 1, 37, 377, 4, 0, 334, 0, 0
                .byte 377, 1, 37, 377, 2, 0, 360, 37
                .byte 0, 377, 6, 370, 377, 1, 0, 200
                .byte 77, 0, 377, 2, 0, 376, 0, 0
                .byte 377, 1, 77, 377, 6, 70, 376, 0
                .byte 0, 377, 1, 7, 377, 2, 0, 370
                .byte 3, 0, 377, 12, 0, 300, 0, 0
                .byte 377, 4, 2, 200, 177, 36, 377, 14
                .byte 0, 214, 1, 0, 377, 1, 357, 377
                .byte 4, 340, 371, 377, 1, 347, 377, 16
                .byte 370, 377, 1, 0, 0, 377, 1, 17
                .byte 377, 14
Snd32:          .byte 377, 20, 0, 376, 77, 0, 377, 1
                .byte 277, 377, 20, 0, 370, 0, 0, 377
                .byte 22, 0, 300, 7, 0, 377, 20, 376
                .byte 377, 1, 0, 0, 77, 3, 377, 20
                .byte 0, 377, 1, 0, 0, 177, 74, 377
                .byte 16, 376, 377, 1, 0, 0, 177, 100
                .byte 377, 20, 0, 340, 77, 0, 377, 20
                .byte 0, 274, 3, 0, 377, 4, 374, 377
                .byte 1, 177, 377, 11, 300, 363, 0, 0
                .byte 377, 1, 77, 377, 2, 347, 377, 1
                .byte 343, 307, 377, 10, 70, 376, 0, 0
                .byte 377, 1, 7, 377, 2, 374, 377, 1
                .byte 70, 160, 377, 1, 163, 377, 6, 360
                .byte 377, 1, 0, 200, 77, 0, 377, 2
                .byte 234, 377, 1, 170, 10, 375, 370, 377
                .byte 10, 0, 340, 0, 0, 377, 2, 376
                .byte 377, 1, 34, 0, 377, 1, 177, 70
                .byte 374
Snd33:          .byte 377, 2, 376, 377, 1, 117, 0, 377
                .byte 60, 217, 307, 367, 375, 77, 167, 377
                .byte 1, 375, 76, 317, 377, 1, 365, 315
                .byte 377, 1, 275, 237, 367, 377, 2, 177
                .byte 376, 377, 1, 375, 234, 317, 374, 377
                .byte 7, 367, 377, 6, 373, 377, 1, 70
                .byte 316, 63, 200, 377, 7, 234, 377, 10
                .byte 40, 316, 3, 0, 377, 1, 73, 377
                .byte 2, 347, 377, 1, 317, 367, 377, 6
                .byte 376, 377, 1, 300, 361, 30, 0, 177
                .byte 306, 377, 2, 371, 377, 1, 0, 200
                .byte 377, 1, 163, 377, 6, 0, 372, 0
                .byte 0, 377, 1, 3, 377, 2, 236, 377
                .byte 1, 0, 0, 377, 1, 177, 377, 6
                .byte 170, 376, 0, 0, 1, 0, 377, 4
                .byte 0, 374, 37, 0, 377, 10, 363, 377
                .byte 1, 0, 200, 7, 0, 377, 6, 4
                .byte 373, 377, 21, 363, 377, 36
Snd34:          .byte 377, 16, 367, 377, 1, 355, 337, 377
                .byte 6, 355, 337, 266, 337, 327, 262, 255
                .byte 375, 377, 1, 177, 377, 2, 337, 366
                .byte 177, 337, 357, 167, 177, 377, 1, 376
                .byte 377, 1, 146, 276, 62, 4, 377, 1
                .byte 145, 377, 1, 357, 247, 376, 266, 355
                .byte 376, 377, 5, 336, 377, 1, 0, 0
                .byte 3, 0, 377, 16, 0, 300, 0, 0
                .byte 377, 1, 137, 377, 2, 307, 377, 7
                .byte 370, 377, 1, 0, 0, 3, 0, 377
                .byte 4, 0, 340, 377, 1, 77, 377, 4
                .byte 343, 377, 1, 0, 0, 7, 0, 377
                .byte 2, 374, 377, 1, 0, 0, 377, 1
                .byte 77, 377, 6, 0, 200, 1, 0, 377
                .byte 4, 0, 40, 177, 0, 377, 10, 0
                .byte 370, 0, 0, 377, 1, 17, 377, 2
                .byte 276, 377, 2, 74, 377, 12, 200, 340
                .byte 0, 0, 377, 1, 63, 377, 112
Snd35:          .byte 375, 377, 5, 340, 377, 1, 0, 0
                .byte 377, 1, 0, 377, 22, 0, 372, 0
                .byte 0, 377, 1, 177, 377, 6, 367, 377
                .byte 1, 177, 375, 333, 377, 2, 177, 377
                .byte 1, 177, 370, 376, 0, 0, 37, 0
                .byte 377, 6, 157, 267, 367, 377, 1, 177
                .byte 355, 333, 177, 277, 177, 377, 2, 0
                .byte 176, 0, 0, 377, 1, 57, 377, 6
                .byte 337, 355, 266, 267, 375, 337, 373, 377
                .byte 2, 176, 354, 377, 1, 0, 20, 37
                .byte 0, 377, 1, 375, 377, 4, 277, 377
                .byte 1, 355, 366, 337, 157, 377, 1, 367
                .byte 377, 4, 0, 374, 0, 0, 377, 1
                .byte 37, 377, 10, 357, 377, 1, 367, 377
                .byte 7, 0, 0, 7, 0, 377, 6, 337
                .byte 377, 1, 177, 273, 377, 1, 357, 377
                .byte 3, 373, 377, 2, 340, 366, 0, 0
                .byte 377, 1, 0, 377, 6, 373, 373, 377
                .byte 1, 267, 377, 1, 357, 377, 2, 277
                .byte 377, 3, 0, 373, 0, 0, 377, 1
                .byte 17, 377, 7, 367, 357, 366, 377, 1
                .byte 337, 377, 6, 0, 320, 0, 0, 377
                .byte 22, 373, 377, 1, 0, 100, 3, 0
                .byte 377, 6, 373, 377, 11
Snd36:          .byte 377, 20, 171, 376, 216, 307, 374, 170
                .byte 343, 70, 216, 317, 377, 1, 173, 277
                .byte 317, 377, 6, 170, 374, 277, 367, 377
                .byte 1, 177, 177, 337, 377, 1, 373, 175
                .byte 377, 2, 367, 377, 3, 337, 63, 377
                .byte 2, 137, 377, 2, 361, 274, 277, 347
                .byte 377, 1, 357, 377, 1, 77, 377, 1
                .byte 37, 175, 237, 347, 361, 174, 236, 371
                .byte 175, 347, 307, 363, 377, 1, 367, 370
                .byte 377, 2, 277, 137, 70, 377, 1, 317
                .byte 347, 307, 161, 174, 236, 307, 363, 176
                .byte 277, 271, 335, 170, 376, 337, 363, 170
                .byte 74, 317, 345, 37, 237, 74, 236, 365
                .byte 371, 377, 1, 363, 332, 176, 375, 370
                .byte 176, 377, 1, 74, 377, 1, 336, 367
                .byte 374, 177, 303, 363, 36, 217, 307, 163
                .byte 361, 74, 334, 347, 307, 361, 174, 36
                .byte 307, 363, 74, 357, 363, 371, 161, 376
                .byte 36, 317, 177, 74, 317, 175, 317, 277
                .byte 237, 37, 363, 371, 175, 236, 217, 347
                .byte 175, 36, 357, 373, 377, 1, 337, 374
                .byte 376, 374, 370, 363, 370, 337, 377, 1
                .byte 237, 77, 377, 3, 375, 367, 377, 1
                .byte 367, 373, 377, 2, 317, 377, 1, 174
                .byte 76, 377, 5, 357, 377, 14, 277, 377
                .byte 53
Snd37:          .byte 377, 5, 376, 377, 10, 0, 300, 0
                .byte 0, 377, 1, 117, 377, 2, 340, 377
                .byte 1, 37, 0, 377, 6, 340, 377, 1
                .byte 0, 0, 6, 0, 377, 4, 0, 360
                .byte 377, 1, 7, 377, 6, 0, 70, 0
                .byte 0, 277, 3, 377, 5, 141, 377, 6
                .byte 200, 377, 1, 0, 0, 3, 0, 377
                .byte 4, 177, 377, 7, 200, 377, 1, 0
                .byte 0, 3, 0, 377, 14, 0, 374, 0
                .byte 0, 17, 0, 377, 5, 177, 377, 6
                .byte 0, 200, 0, 0, 377, 1, 17, 377
                .byte 12, 300, 377, 1, 0, 0, 16, 0
                .byte 377, 4, 317, 61, 377, 6, 0, 200
                .byte 0, 0, 377, 1, 35, 377, 2, 60
                .byte 377, 1, 177, 0, 377, 4, 340, 377
                .byte 1, 0, 0, 7, 0, 377, 4, 0
                .byte 370, 377, 1, 1, 377, 4, 40, 376
                .byte 0, 0, 167, 0, 377, 2, 374, 377
                .byte 1, 0, 0, 377, 1, 17, 377, 4
                .byte 0, 374, 0, 0, 377, 1, 0, 377
                .byte 2, 360, 377, 1, 0, 0, 377, 1
                .byte 37, 377, 4, 0, 377, 1, 0, 0
                .byte 77, 0, 377, 2, 376, 377, 1, 0
                .byte 0, 177, 0, 377, 4, 0, 376, 0
                .byte 0, 377, 1, 1, 377, 2, 0, 376
                .byte 0, 0, 377, 2
Snd38:          .byte 0, 300, 0, 0, 377, 1, 0, 377
                .byte 14, 370, 377, 1, 0, 0, 0, 0
                .byte 377, 1, 37, 377, 14, 0, 360, 0
                .byte 0, 77, 0, 377, 14, 340, 377, 1
                .byte 0, 0, 0, 0, 377, 7, 217, 377
                .byte 6, 0, 0, 0, 0, 377, 1, 3
                .byte 377, 4, 0, 360, 377, 6, 0, 360
                .byte 0, 0, 377, 1, 7, 377, 2, 360
                .byte 377, 1, 0, 340, 377, 1, 37, 377
                .byte 4, 0, 300, 0, 0, 377, 4, 347
                .byte 377, 1, 0, 200, 77, 0, 377, 4
                .byte 360, 377, 1, 0, 0, 177, 0, 377
                .byte 4, 374, 377, 1, 0, 0, 377, 1
                .byte 7, 377, 6, 0, 0, 30, 0, 377
                .byte 2, 373, 377, 3, 0, 340, 177, 0
                .byte 377, 10, 0, 360, 7, 0, 377, 1
                .byte 177, 377, 4, 0, 374, 377, 1, 3
                .byte 377, 12, 376, 377, 1, 3, 341, 377
                .byte 1, 237, 377, 30, 200, 377, 2, 5
                .byte 377, 34
Snd39:          .byte 377, 6, 0, 377, 1, 0, 0, 17
                .byte 0, 377, 4, 374, 377, 1, 0, 0
                .byte 377, 1, 177, 377, 4, 300, 377, 1
                .byte 0, 0, 3, 0, 377, 6, 0, 0
                .byte 377, 6, 0, 374, 0, 0, 17, 0
                .byte 377, 7, 361, 377, 4, 376, 377, 1
                .byte 0, 0, 0, 0, 377, 1, 37, 377
                .byte 14, 0, 300, 0, 0, 377, 1, 3
                .byte 377, 14, 0, 200, 0, 0, 377, 1
                .byte 3, 377, 14, 0, 300, 0, 0, 377
                .byte 1, 7, 377, 14, 0, 340, 0, 0
                .byte 377, 1, 7, 377, 5, 337, 377, 6
                .byte 0, 0, 0, 0, 377, 1, 177, 377
                .byte 2, 374, 377, 2, 0, 377, 4, 370
                .byte 377, 1, 0, 0, 7, 0, 377, 4
                .byte 0, 372, 17, 0, 377, 4, 340, 377
                .byte 1, 0, 0, 37, 0, 377, 4, 0
                .byte 34, 10, 0, 377, 4, 374, 377, 1
                .byte 0, 0, 77, 0, 377, 4, 70, 276
                .byte 0, 0, 377, 1, 37, 377, 4, 0
                .byte 316, 3, 0, 377, 1, 237, 377, 4
                .byte 300, 371, 37, 0, 377, 6, 0, 343
                .byte 0, 0, 377, 1, 317, 377, 4, 340
                .byte 370
Snd40:          .byte 377, 44, 376, 377, 1, 374, 376, 37
                .byte 303, 377, 15, 376, 377, 1, 376, 377
                .byte 2, 373, 377, 1, 343, 307, 341, 341
                .byte 207, 177, 303, 207, 370, 300, 237, 377
                .byte 1, 217, 17, 377, 1, 77, 377, 1
                .byte 76, 175, 276, 377, 2, 357, 377, 2
                .byte 367, 377, 2, 357, 373, 317, 71, 367
                .byte 175, 367, 377, 1, 375, 337, 377, 2
                .byte 363, 343, 37, 317, 76, 77, 374, 377
                .byte 2, 361, 377, 2, 337, 377, 2, 77
                .byte 377, 10, 376, 377, 205
Snd41:          .byte 377, 1, 177, 377, 1, 374, 377, 10
                .byte 40, 374, 77, 0, 377, 2, 17, 370
                .byte 367, 307, 377, 12, 200, 377, 1, 13
                .byte 0, 377, 2, 200, 303, 77, 0, 377
                .byte 12, 140, 340, 217, 1, 377, 2, 3
                .byte 377, 2, 7, 377, 14, 274, 377, 1
                .byte 370, 70, 377, 22, 370, 377, 1, 4
                .byte 0, 377, 1, 77, 377, 16, 0, 374
                .byte 7, 0, 377, 2, 200, 377, 1, 237
                .byte 7, 376, 377, 2, 177, 377, 4, 360
                .byte 377, 1, 0, 0, 377, 1, 177, 370
                .byte 377, 1, 0, 0, 377, 1, 77, 30
                .byte 70, 377, 6, 0, 0, 17, 0, 377
                .byte 6, 206, 377, 1, 37, 3, 377, 10
                .byte 0, 214, 377, 1, 1, 377, 10, 37
                .byte 74, 377, 4, 360, 377, 1, 0, 0
                .byte 377, 1, 177, 377, 2, 7, 340, 377
                .byte 1, 77, 371, 347, 377, 4, 376, 377
                .byte 1, 0, 0, 277, 1, 377, 2, 0
                .byte 370, 171, 60, 0, 361, 377, 1, 60
                .byte 377, 4, 370, 377, 1, 0, 0, 337
                .byte 17, 377, 20, 376, 377, 1, 303, 340
                .byte 323, 303
Snd42:          .byte 377, 16, 376, 377, 1, 357, 377, 10
                .byte 375, 173, 377, 4, 337, 377, 16, 335
                .byte 377, 1, 373, 377, 1, 376, 373, 377
                .byte 1, 266, 177, 377, 1, 273, 373, 377
                .byte 1, 273, 357, 366, 333, 177, 377, 1
                .byte 275, 373, 173, 357, 155, 375, 377, 3
                .byte 376, 335, 357, 337, 373, 377, 1, 366
                .byte 377, 1, 177, 357, 357, 277, 377, 1
                .byte 273, 377, 2, 271, 273, 357, 377, 1
                .byte 177, 277, 377, 1, 373, 367, 377, 1
                .byte 336, 273, 375, 356, 377, 3, 177, 337
                .byte 277, 273, 367, 377, 2, 167, 367, 172
                .byte 377, 2, 366, 366, 366, 373, 356, 337
                .byte 335, 273, 377, 1, 266, 375, 275, 375
                .byte 377, 1, 173, 377, 1, 375, 377, 4
                .byte 277, 265, 372, 157, 175, 267, 167, 373
                .byte 177, 167, 173, 367, 156, 173, 167, 377
                .byte 1, 357, 366, 177, 377, 1, 375, 266
                .byte 253, 375, 267, 176, 373, 157, 367, 277
                .byte 157, 157, 275, 367, 157, 133, 337, 356
                .byte 277, 337, 377, 1, 256, 177, 273, 272
                .byte 173, 346, 277, 376, 337, 377, 1, 355
                .byte 337, 376, 273, 365, 334, 156, 155, 255
                .byte 334, 335, 337, 334, 135, 267, 223, 133
                .byte 147, 177, 377, 1, 367, 267, 353, 273
                .byte 167, 367, 156, 166, 147, 366, 376, 357
                .byte 337, 355, 355, 356, 336, 63, 353, 373
                .byte 167, 157, 153, 267, 367, 313, 376, 333
                .byte 336, 266, 375, 273, 337, 177, 266, 356
                .byte 175, 376, 315, 314, 336, 377, 1, 273
                .byte 273, 267, 377, 1, 176, 177, 377, 1
Snd43:          .byte 377, 110, 277, 377, 5, 357, 377, 2
                .byte 77, 377, 11, 372, 337, 327, 357, 357
                .byte 257, 375, 137, 333, 267, 373, 155, 127
                .byte 73, 333, 366, 156, 332, 273, 354, 266
                .byte 263, 267, 366, 135, 233, 330, 144, 154
                .byte 273, 311, 66, 263, 273, 365, 73, 153
                .byte 177, 67, 267, 147, 334, 156, 333, 335
                .byte 66, 55, 377, 1, 367, 156, 356, 223
                .byte 377, 1, 146, 275, 51, 163, 356, 237
                .byte 153, 235, 313, 154, 147, 262, 76, 313
                .byte 63, 123, 271, 223, 231, 231, 235, 273
                .byte 346, 164, 154, 316, 137, 343, 351, 70
                .byte 237, 323, 234, 271, 316, 337, 163, 346
                .byte 67, 147, 231, 73, 34, 233, 147, 357
                .byte 172, 36, 311, 361, 276, 235, 73, 363
                .byte 337, 337, 161, 164, 237, 357, 354, 70
                .byte 333, 315, 143, 372, 377, 2, 177, 157
                .byte 356, 374, 371, 370, 235, 367, 377, 1
                .byte 67, 377, 1, 357, 177, 277, 313, 377
                .byte 1, 375, 277, 307, 361, 370, 76, 317
                .byte 363, 34, 236, 377, 2, 337, 307, 177
                .byte 377, 1, 347, 160, 377, 4, 276, 275
                .byte 377, 2, 337, 377, 2, 77, 347, 367
Snd44:          .byte 367, 377, 2, 371, 373, 177, 377, 1
                .byte 275, 377, 1, 357, 267, 377, 2, 337
                .byte 367, 337, 377, 1, 337, 373, 375, 327
                .byte 377, 1, 277, 377, 2, 371, 377, 1
                .byte 351, 361, 335, 377, 1, 327, 377, 1
                .byte 374, 177, 177, 364, 377, 2, 375, 327
                .byte 217, 357, 137, 167, 377, 3, 277, 347
                .byte 377, 1, 156, 207, 357, 337, 277, 77
                .byte 277, 377, 1, 337, 77, 373, 167, 67
                .byte 341, 357, 75, 372, 357, 175, 367, 377
                .byte 1, 235, 375, 376, 367, 334, 373, 75
                .byte 377, 1, 337, 357, 377, 1, 334, 177
                .byte 174, 347, 161, 377, 1, 303, 376, 165
                .byte 357, 156, 305, 375, 377, 1, 364, 377
                .byte 1, 227, 377, 1, 247, 357, 376, 317
                .byte 317, 277, 377, 1, 337, 177, 177, 376
                .byte 307, 375, 377, 1, 343, 177, 337, 317
                .byte 337, 235, 77, 211, 77, 72, 275, 373
                .byte 356, 367, 327, 376, 367, 377, 1, 357
                .byte 217, 315, 307, 37, 337, 47, 317, 265
                .byte 370, 377, 1, 363, 337, 207, 317, 374
                .byte 347, 367, 377, 1, 317, 207, 337, 331
                .byte 237, 357, 343, 313, 361, 315, 357, 371
                .byte 65, 77, 357, 347, 327, 357, 73, 257
                .byte 275, 377, 1, 176, 372, 76, 355, 304
                .byte 163, 77, 373, 275, 237, 75, 36, 342
                .byte 207, 137, 357, 347, 167, 317, 357, 163
                .byte 227, 237, 165, 213, 327, 376, 277, 135
                .byte 257, 357, 377, 1, 346, 376, 370, 354
                .byte 334, 371, 343, 366, 257, 377, 1, 147
                .byte 57, 376, 327, 175, 375, 346, 236, 361
                .byte 313, 317, 71, 355, 337, 377, 1, 357
                .byte 337, 175, 367, 375, 57, 367, 271, 267
                .byte 177, 274, 157, 274, 353, 55, 367, 370
                .byte 377, 2, 367, 172, 71, 177, 163, 337
                .byte 343, 373, 273, 353
Snd45:          .byte 377, 25, 376, 377, 2, 376, 377, 3
                .byte 273, 377, 15, 337, 373, 377, 1, 376
                .byte 377, 3, 77, 377, 3, 73, 377, 3
                .byte 375, 277, 367, 377, 1, 375, 375, 377
                .byte 1, 167, 317, 377, 1, 273, 373, 377
                .byte 5, 223, 377, 1, 363, 75, 337, 337
                .byte 377, 3, 275, 237, 347, 177, 72, 377
                .byte 3, 327, 347, 373, 373, 177, 377, 1
                .byte 237, 171, 377, 1, 277, 343, 355, 375
                .byte 323, 163, 77, 67, 175, 177, 377, 1
                .byte 337, 163, 176, 370, 314, 337, 373, 371
                .byte 277, 14, 317, 317, 367, 374, 174, 217
                .byte 371, 177, 75, 36, 367, 377, 1, 177
                .byte 373, 177, 376, 73, 373, 377, 1, 37
                .byte 167, 373, 73, 371, 373, 256, 317, 63
                .byte 162, 356, 275, 237, 356, 271, 173, 37
                .byte 347, 47, 147, 157, 277, 370, 334, 373
                .byte 317, 377, 1, 367, 53, 74, 175, 236
                .byte 277, 377, 3, 54, 317, 32, 60, 367
                .byte 147, 377, 1, 234, 74, 317, 122, 337
                .byte 376, 357, 363, 345, 275, 235, 376, 142
                .byte 347, 363, 373, 337, 36, 303, 355, 75
                .byte 307, 353, 171, 34, 367, 377, 1, 174
                .byte 214, 317, 361, 277, 77, 172, 377, 1
                .byte 74, 264, 30, 201, 336, 347, 377, 1
                .byte 176, 337, 377, 1, 66, 236, 216, 340
                .byte 357, 67, 307, 170, 174, 236, 317, 343
                .byte 61, 137, 277, 307, 377, 2, 34, 317
                .byte 175, 42, 322, 367, 163, 14, 377, 1
                .byte 373, 341, 370, 163, 0

; ───────────────────────────────────────────────────────────────────────────
; Массив цветов для заставки. 8 пар байтов
SplashColors:   .byte 12, 5
                .byte 12, 12
                .byte 16, 13
                .byte 17, 16
                .byte 17, 17
                .byte 14, 3
                .byte 4, 1
                .byte 4, 0

; за байтом 13 идут 2 байта координат курсора x,y
; за байтом 6 идут три байта цветов: цвет фона 1, цвет фона 2, цвет символа
SplashTxt:      .byte 6, 5,5,17
                .byte 13, 12,6
                .ascii "СИНТЕЗАТОР"
                .byte 13, 15,10
                .ascii "РЕЧИ"
                .byte 6, 12,12,0
                .byte 13, 14,1
                .ascii '()!"#$'
                .byte 6, 11,6,0
                .byte 13, 12,22
                .ascii "НОВОСИБИРСК"
                .byte 6, 15,7,12
                .byte 13, 5,26
                .ascii "ИНСТРУКЦИИ ПРИЛАГАЮТСЯ"
                .byte 6, 11,6,0
                .byte 13, 12,23
                .asciz "   %&*+    "

BK10Init:       .asciz <233><224><236><221><232>    ; строка инициализации параметров экрана монитора БК10

; ───────────────────────────────────────────────────────────────────────────
Menu:           .byte 6, 15,7,12
                .asciz " ГОВОРИ НАЙДИ ЧИТАЙ ПИШИ ОЧИСТИ"

; код клавиши, затем три байта параметров
; приращение по X, приращение по Y, приращение адреса
EditorsKey:     .byte 10,   -1, 0,-1
                .byte 31,    1, 0, 1
                .byte 32,    0,-1,-32.
                .byte 33,    0, 1, 32.

; по два байта на пункт меню, 0,0 - конец
; первый байт - координата x, второй байт - ширина выделения
MenuParam:      .byte 0,10
                .byte 7,7
                .byte 15,7
                .byte 23,6
                .byte 30,10
                .byte 0,0

DisabledCodes:  .asciz '+!"#$%&()*'
; ───────────────────────────────────────────────────────────────────────────

StrFind:        .byte 6, 16,13,0
                .byte 13, 10, 3
                .asciz "   ВИЖУ ФАЙЛЫ   "

StrSave:        .byte 6, 16,13,0
                .byte 13, 11,3
                .asciz "ЗАПИСЫВАЮ ФАЙЛ"

NameBuf:        .asciz <277><277>"       .SPE "<277><277>

StrRead:        .byte 6, 16,13,0
                .byte 13, 11,3
                .asciz " ЗАГРУЖАЮ ФАЙЛ"

StrUSure:       .byte 6, 12,12,17
                .byte 13,7,4
                .asciz "ВЫ УВЕРЕНЫ <Д-ДА>?"

StrErrLoad:     .byte 6, 17,17,12
                .byte 13, 7,4
                .asciz "ОШИБКА ПРИ ЗАГРУЗКЕ"

; зашифрованный текст. 6 строк, заканчивающихся 0
CryptText:      .byte 360, 360, 360, 360, 360, 7, 14, 211   ; "     СИНТЕЗАТОР РЕЧИ"
                .byte 206, 16, 203, 20, 206, 11, 207, 360
                .byte 207, 16, 201, 14, 0
                .byte 207, 20, 203, 207, 20, 217, 11, 206   ; "РАЗРАБОТАН ГОРБУНОВЫМ Д.В."
                .byte 20, 211, 360, 15, 11, 207, 217, 6
                .byte 211, 11, 5, 4, 12, 360, 216, 351
                .byte 5, 351, 0
                .byte 360, 360, 360, 360, 14, 203, 360, 211 ; "    ИЗ НОВОСИБИРСКОГО"
                .byte 11, 5, 11, 7, 14, 217, 14, 207
                .byte 7, 13, 11, 15, 11, 0
                .byte 11, 217, 1, 16, 216, 14, 211, 16      ; "ОБЪЕДИНЕНИЯ ПРОГРАММИСТОВ"
                .byte 211, 14, 10, 360, 210, 207, 11, 15
                .byte 207, 20, 12, 12, 14, 7, 206, 11
                .byte 5, 0
                .byte 360, 360, 360, 360, 5, 360, 14, 220   ; "    В ИЮНЕ 1990 ГОДА."
                .byte 211, 16, 360, 150, 144, 144, 350, 360
                .byte 15, 11, 216, 20, 351, 0
                .byte 360, 360, 360, 360, 360, 360, 360, 354 ; '       ()!"#$' - логотип
                .byte 154, 160, 357, 157, 356, 0

; ───────────────────────────────────────────────────────────────────────────
; номер мимики для каждой буквы из массива Alph0
MimicNum:       .byte 0,1,1,2,2,2,2,2,2,2,2,2,2,1,2,3,1,2,2,2,4,2,2,2,2,2,2,2,0,2,2,1,1,2,2,2,2,2,1,2,1,2,2,2,1,2
; таблица сопоставления номера звука заданной букве.
; порядковый номер буквы в этой таблице - это номер звука.
Alph0:          .asciz "АБВГДЕеЖЗИЙКЛМНОПРСТУФХЦЧШЩЫЭЮЯбвгдзклмнпрстфх"
; 5 гласных, которые после твёрдого знака меняют своё звучания на следующие 5 гласных
; так же они меняют звучание твёрдых согласных на мягкие
Alph1:          .ascii "Е:ЮЯИЭОУАИ"

Alph3:          .asciz "БВГДЖЗКЛМНПРСТФХЦЧШЩ"
Alph4:          .asciz "бвгдЖзклмнпрстфхЦЧЩЩ"
                .even
; тут формируется транскрипция для воспроизведения
TranscripBuff:  .blkb 102
; временный буфер для строки, из которой формируется транскрипция
TmpStrBuff:     .blkb 42
; буфер, куда распаковывается звук буквы.
SndBuffer:      .blkb 404
EndSndBuffer:   .even

Buffer:         .ascii "       КРАТКИЕ ИНСТРУКЦИИ       "
                .ascii " 1.НАБОР ТЕКСТА ПО ТРАНСКРИПЦИИ "
                .ascii " 2.ВХОД В МЕНЮ - 'ПОВТ'         "
                .ascii " 3.ОТКАЗ ОТ МЕНЮ - 'КТ'         "
                .ascii " 4.ЗНАКИ ПРЕПИНАНИЯ:            "
                .ascii "   ПРОБЕЛ - КОРОТКАЯ ПАУЗА      "
                .ascii "   ЗАПЯТАЯ - ДЛИННАЯ ПАУЗА      "
                .ascii "   <'> ПЕРЕД ГЛАСНОЙ - УДАРЕНИЕ "
                .ascii "   УЗНАЮТСЯ <Ь> И <Ъ>           "
                .ascii "   ЗНАК ДВОЕТОЧИЯ - ЭТО <:>     "
                .ascii " 5.ЦИФРЫ - УПРАВЛЕНИЕ РЕЖИМАМИ  "
                .ascii "   СИНТЕЗАТОРА                  "
                .ascii "                                "
                .ascii "     БОЛЕЕ ПОЛНЫЕ ИНСТРУКЦИИ    "
                .ascii "    МОЖНО ПОДГРУЗИТЬ ИЗ ФАЙЛА   "
                .ascii "                                "
                .ascii "        <<< ВНИМАНИЕ >>>        "
                .ascii "    ПЕРЕД ВВОДОМ СОТРИТЕ ЭТИ    "
                .ascii "  ИНСТРУКЦИИ ПРИ ПОМОЩИ КОМАНДЫ "
                .ascii "            ИЗ МЕНЮ             "
                .ascii "                                "
                .ascii "                                "
EndBuffer:      .byte 0
                .even

                .END
